-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- (C) Copyright IBM Corporation 2010. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT
--






@README@
-- This string was intentionally added to the the SQL file
-- as this script can not be executed directly.  The
-- Database Design Tool should be used to generated versions
-- of this script which can be executed successfully.  See
-- the Information Center for more information on using the
-- Database Design Tool
@README@









    


		
/* START of phase UpgradeInitialDataToTeamworks7sp1 */
    
									
      						INSERT INTO LSW_LOCK("LOCK_ID", "DESCRIPTION") VALUES('DEPLOYMENT_PKG_LOCK_KEY', 'Lock required for add a deployment package to lsw_deployment_package ')      
						
;
						
      						update LSW_TIME_SCHEDULE set EXCLUDE_HOLIDAY='T' where SCHEDULE_ID in (1 , 3 , 4)      
						
;

							INSERT INTO LSW_USR("USER_ID", "USER_NAME", "PASSWD", "FULL_NAME", "IS_DISABLED", "LAST_LOGIN_DATETIME", "OLD_PASSWORDS") 
								VALUES(7, 'tw_runtime_server', 'bx0QhdSSiBX5c', 'Internal Runtime user', 'F', '', 'bx0QhdSSiBX5c')							      						      
						
;

							INSERT INTO LSW_USR_XREF("USER_ID", "USER_NAME") VALUES(7, 'tw_runtime_server')							      						      
						
;

		
/* END of phase UpgradeInitialDataToTeamworks7sp1 */

		
/* START of phase UpgradeProcSchemaToTeamworks7SP1 */
    
			DROP TABLE LSW_BLUEPRINT_FOLDER_ATTRS
;


			
CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_DEPLOYMENT_PACKAGE (
    "SNAPSHOT_ID" CHAR(36),
    "SERVER_ID" CHAR(36) NOT NULL,
    "DEPLOYMENT_PACKAGE" BLOB(2G)
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_DEPLOYMENT_PACKAGE_LOB
    IN @DB_NAME@.
    STORES LSW_DEPLOYMENT_PACKAGE COLUMN DEPLOYMENT_PACKAGE
;
CREATE UNIQUE INDEX LSW_DEPLOYMENT_PACKAGE_I
    ON LSW_DEPLOYMENT_PACKAGE_LOB
    USING STOGROUP @STOGRP@
;
        

ALTER TABLE LSW_DEPLOYMENT_PACKAGE
    ADD CONSTRAINT LSWC_DPLPKG_FK1
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	
;

ALTER TABLE LSW_DEPLOYMENT_PACKAGE
    ADD CONSTRAINT LSWC_DPLPKG_FK2
	FOREIGN KEY("SERVER_ID")
	REFERENCES LSW_SERVER("SERVER_ID")
	
;

CREATE UNIQUE INDEX LSWC_DPLPKG_UQ
    ON LSW_DEPLOYMENT_PACKAGE(
        "SNAPSHOT_ID",
        "SERVER_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_BLUEPRINT_SUBSCRIPTION (
    "BLUEPRINT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
    "PROCESS_ID" VARCHAR(50) NOT NULL,
    "BLUEPRINT_ID" VARCHAR(50) NOT NULL,
    "ROOT_BPD_ID" CHAR(36) NOT NULL,
    "ACCOUNT" VARCHAR(510),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_BLUEPRINT_SUBSCRIPTION_LOB
    IN @DB_NAME@.
    STORES LSW_BLUEPRINT_SUBSCRIPTION COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX LSW_BLUEPRINT_SUBSCRIPTION_I
    ON LSW_BLUEPRINT_SUBSCRIPTION_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX LSWC_BPS_PK
    ON LSW_BLUEPRINT_SUBSCRIPTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_BLUEPRINT_SUBSCRIPTION
    ADD CONSTRAINT LSWC_BPS_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX LSWC_BPS_PK3
    ON LSW_BLUEPRINT_SUBSCRIPTION("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX LSWC_BPS_PK4
    ON LSW_BLUEPRINT_SUBSCRIPTION("NAME")
    USING STOGROUP @STOGRP@

;

                            DROP INDEX LSWC_GGXXREF_NU1
                        
;



CREATE INDEX LSWC_GGMXREF_NU1 
    ON LSW_GRP_GRP_MEM_XREF(
    "CONTAINER_GROUP_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX LSWC_GGXXREF_NU1 
    ON LSW_GRP_GRP_MEM_EXPLODED_XREF(
    "GROUP_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_PROCESS ALTER "NAME" SET DATA TYPE VARCHAR(510)
;

		
/* END of phase UpgradeProcSchemaToTeamworks7SP1 */

	
    

		
/* START of phase ProcUpgradeTo710 */
    
			
ALTER TABLE LSW_USR ALTER "PASSWD" SET DATA TYPE VARCHAR(500)
;

ALTER TABLE LSW_USR ALTER "OLD_PASSWORDS" SET DATA TYPE VARCHAR(4000)
;

                     DROP INDEX LSWC_IC_NUQ3
                 
;
ALTER TABLE LSW_IC DROP COLUMN NESTED_IC_ID
;

ALTER TABLE LSW_SERVER ALTER "PROVIDER_URL" SET DATA TYPE VARCHAR(1000)
;

		
/* END of phase ProcUpgradeTo710 */


		
/* START of phase UpdateTwRuntimeServerPassword */
    
									
      						update LSW_USR set PASSWD='twGsuLIVc07yY' where USER_NAME='tw_runtime_server'      
						
;

		
/* END of phase UpdateTwRuntimeServerPassword */


	
    

		
/* START of phase ProcUpgradeTo7101 */
    
			
ALTER  TABLE LSW_SERVER 
ADD 
    "INSTALLER_GROUP_ID" DECIMAL(12,0)
;


ALTER TABLE LSW_SERVER
    ADD CONSTRAINT LSWC_INSTL_GRP_FK
	FOREIGN KEY("INSTALLER_GROUP_ID")
	REFERENCES LSW_USR_GRP_XREF("GROUP_ID")
	
;

		
/* END of phase ProcUpgradeTo7101 */

	
    

		
/* START of phase ProcUpgradeTo720 */
    
			
ALTER TABLE LSW_PROCESS_VARIABLE ALTER "NAME" SET DATA TYPE VARCHAR(510)
;

ALTER TABLE LSW_EXTACT_PARAMETER ALTER "NAME" SET DATA TYPE VARCHAR(510)
;


CREATE INDEX IDX7_PO_VERSIONS 
    ON LSW_PO_VERSIONS(
    "BRANCH_ID",
    "PO_VERSION_ID",
    "VERSION_SUMMARY_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_BPD_INSTANCE_VARIABLES ALTER "VARIABLE_TYPE" SET DATA TYPE VARCHAR(128)
;

ALTER  TABLE LSW_USR_XREF 
ADD 
    "FULL_NAME" VARCHAR(510)
;

							BEGIN ATOMIC
							UPDATE LSW_USR_XREF x SET x.FULL_NAME=(SELECT u.FULL_NAME FROM LSW_USR
							u WHERE u.USER_NAME=x.USER_NAME);
							UPDATE LSW_USR_XREF x SET x.FULL_NAME=x.USER_NAME WHERE x.FULL_NAME IS
							NULL AND NOT EXISTS (SELECT 1 FROM LSW_USR u WHERE
							u.USER_NAME=x.USER_NAME);
							END
						
;


CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_CA_TEMPLATE (
    "ID" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(256) NOT NULL,
    "BPD_GUID" VARCHAR(256) NOT NULL
)
IN @DB_NAME@.
;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_CA_TEMPLATE_DATA (
    "ID" DECIMAL(12,0) NOT NULL,
    "CA_GUID" VARCHAR(256) NOT NULL
)
IN @DB_NAME@.
;


CREATE UNIQUE INDEX LSWC_TEMPLATE_PK
    ON LSW_CA_TEMPLATE
    ("ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_CA_TEMPLATE
    ADD CONSTRAINT LSWC_TEMPLATE_PK
    PRIMARY KEY(
       "ID")

;


CREATE INDEX LSWC_TEMPLATE_PK4
    ON LSW_CA_TEMPLATE("NAME")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_CA_TEMPLATE_DATA
    ADD CONSTRAINT LSWC_TEMPLATE_FK
	FOREIGN KEY("ID")
	REFERENCES LSW_CA_TEMPLATE("ID")
	
;

ALTER  TABLE LSW_BPD 
ADD 
    "IS_CRITICAL_PATH_ENABLED" CHAR(1)
        DEFAULT 'T' NOT NULL
;


ALTER TABLE LSW_BLUEPRINT_SUBSCRIPTION ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_BPD ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_BPD_DOCUMENTS ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_BPD_INSTANCE ALTER "ERROR" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_BPD_INSTANCE ALTER "ERROR_STACK_TRACE" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_BPD_INSTANCE_COMMENT ALTER "COMMENT" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_BPD_NOTIFICATION ALTER "ERROR" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_BPD_NOTIFICATION ALTER "ERROR_STACK_TRACE" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_BPD_PARAMETER ALTER "DOCUMENTATION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_BRANCH ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_CLASS ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_COACH ALTER "LAYOUT_DATA" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_COACH_BUTTON ALTER "BUTTON_TEXT" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_CONNECTOR ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_ENV_TYPE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_ENV_VAR ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_ENV_VAR ALTER "DEFAULT_VALUE" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_ENV_VAR_DEFAULT ALTER "VALUE" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_ENV_VAR_SET ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_ENV_VAR_VAL ALTER "VALUE" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_ENV_VAR_VAL ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_EPV ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_EPV ALTER "EXT_DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_EPV_VAR ALTER "EXT_DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_EPV_VAR_VALUE ALTER "VALUE" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_EPV_VAR_VALUE ALTER "REASON" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_EXCEPTION ALTER "MESSAGE" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_EXTACT_PARAMETER ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_EXTERNAL_ACTIVITY ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_HIST_SCENARIO ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_IC ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_IC_OUTPUT_PROPERTY ALTER "VALUE" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_INFOPATH_FORM ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_LAYOUT ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_MANAGED_ASSET ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_METRIC ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_ORG_CHART ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_PARAMETER_MAPPING ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_PARTICIPANT ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_PRIORITY ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_PROCESS ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_PROCESS_ITEM ALTER "DOCUMENTATION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_PROCESS_LABEL ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_PROCESS_LINK ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_PROCESS_PARAMETER ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_PROCESS_VARIABLE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_PROJECT ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_PROJECT_DEPENDENCY ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_REPORT ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_REPORT_CHART ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_REPORT_DATASOURCE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_REPORT_PAGE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_REPORT_VARIABLES ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_REPOSITORY_HISTORY ALTER "ERROR_DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_RESOURCE_BUNDLE_GROUP ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_RESOURCE_BUNDLE_KEY ALTER "VALUE" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_SAVED_SEARCHES ALTER "QUERY" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_SCBD ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_SERVER ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_SIM_SCENARIO ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_SLA ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_SNAPSHOT ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_TASK_ACTION ALTER "NARRATIVE_SCRIPT" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_TIMING_INTERVAL ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_TRACKED_VARIABLE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_TRACKING_GROUP ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_UCA ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_USER_ATTRIBUTE_DEF ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_WEB_SERVICE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

ALTER TABLE LSW_WEB_SERVICE_OP ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
;

							ALTER TABLE LSW_RUNTIME_ERROR ADD COLUMN
							ERROR_MESSAGE_TMP CLOB(2G)
							GO
							UPDATE LSW_RUNTIME_ERROR SET
							ERROR_MESSAGE_TMP = ERROR_MESSAGE
							GO
							ALTER TABLE LSW_RUNTIME_ERROR
							DROP COLUMN ERROR_MESSAGE CASCADE
							GO
							ALTER TABLE LSW_RUNTIME_ERROR RENAME COLUMN ERROR_MESSAGE_TMP TO
							ERROR_MESSAGE
							GO
							call sysproc.admin_cmd('reorg table
							LSW_RUNTIME_ERROR')
						
;

DROP TABLE LSW_TASK_CUSTOM
;

ALTER  TABLE LSW_UCA
DROP 
    "LAST_RUN_DATETIME" 
DROP 
    "NEXT_RUN_DATETIME" 
;

commit

;


call sysproc.admin_cmd('reorg table LSW_UCA')

;

ALTER  TABLE LSW_COACH 
ADD 
    "XSL_REF" CHAR(36)
;


CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE8K@
;
CREATE TABLE LSW_PROJECT_DEFAULTS (
    "PROJECT_DEFAULTS_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "DEFAULT_XSL_REF" CHAR(36),
    "DEFAULT_CSS_REF" CHAR(36),
    "DEFAULT_JS_REFS" VARCHAR(4000)
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_PROJECT_DEFAULTS_LOB
    IN @DB_NAME@.
    STORES LSW_PROJECT_DEFAULTS COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX LSW_PROJECT_DEFAULTS_I
    ON LSW_PROJECT_DEFAULTS_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX LSWC_PRJ_DFTS_PK
    ON LSW_PROJECT_DEFAULTS
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_PROJECT_DEFAULTS
    ADD CONSTRAINT LSWC_PRJ_DFTS_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX LSWC_PRJ_DFTS_PK3
    ON LSW_PROJECT_DEFAULTS("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX LSWC_PRJ_DFTS_PK4
    ON LSW_PROJECT_DEFAULTS("NAME")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_ILOG_CONNECTOR (
    "ILOG_CONNECTOR_ID" CHAR(36) NOT NULL,
    "ATTACHED_PROCESS_REF" CHAR(36),
    "DEFINITION" BLOB(2G) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_ILOG_CONNECTOR_LOB
    IN @DB_NAME@.
    STORES LSW_ILOG_CONNECTOR COLUMN DEFINITION
;
CREATE UNIQUE INDEX LSW_ILOG_CONNECTOR_I
    ON LSW_ILOG_CONNECTOR_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX LSWC_ILNTR_PK
    ON LSW_ILOG_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_ILOG_CONNECTOR
    ADD CONSTRAINT LSWC_ILNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX LSWC_ILNTR_PK3
    ON LSW_ILOG_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE LSW_EPV_VAR_VALUE
DROP 
    "EPV_VAR_REF" 
;

commit

;


call sysproc.admin_cmd('reorg table LSW_EPV_VAR_VALUE')

;

ALTER  TABLE LSW_ENV_VAR_VAL
DROP 
    "ENV_VAR_REF" 
;

commit

;


call sysproc.admin_cmd('reorg table LSW_ENV_VAR_VAL')

;

ALTER  TABLE LSW_ENV_VAR_VAL 
ADD 
    "BRANCH_ID" CHAR(36) 
ADD 
    "TIP" CHAR(1)
        DEFAULT 'F'
;


ALTER TABLE LSW_DYNAMIC_GROUP_CONSTRAINT ALTER "VALUE" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_BPD_INSTANCE_VARIABLES ALTER "STRING_VALUE" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_BPD_DOCUMENTS ALTER "FILENAME" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_BPD_INSTANCE_DOC_PROPS ALTER "NAME" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_BPD_INSTANCE_DOC_PROPS ALTER "VALUE" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_BPD_INSTANCE_DOCUMENTS ALTER "FILENAME" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_USR_ATTR ALTER "ATTR_VALUE" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_PARTICIPANT ALTER "PARTICIPANT_DEFINITION" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_EM_TASK ALTER "TASK_ARGUMENTS_STR" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_REPORT_DS_LAYOUT_LINK ALTER "DEFAULT_VALUE" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_REPORT_VARIABLES ALTER "VALUE" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_BREAKPOINT ALTER "CONDITION" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_LAUNCHER ALTER "CMD" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_IC_OUTPUT_PROPERTY ALTER "NAME" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_IC_OUTPUT_PROPERTY ALTER "KEY_VAL" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_UCA_PARM ALTER "PARM_VALUE" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_IC_INPUT_PROPERTY ALTER "KEY_VAL" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_IC_INPUT_PROPERTY ALTER "NAME" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_SWITCH_CONDITION ALTER "CONDITION" SET DATA TYPE VARCHAR(2000)
;

ALTER TABLE LSW_FAVORITE ALTER "NAME" SET DATA TYPE VARCHAR(2000)
;

							ALTER TABLE LSW_EM_TASK_HISTORY ADD COLUMN
							ERROR_MESSAGE_TMP CLOB(2G)
							GO
							UPDATE LSW_EM_TASK_HISTORY SET
							ERROR_MESSAGE_TMP = ERROR_MESSAGE
							GO
							ALTER TABLE
							LSW_EM_TASK_HISTORY DROP COLUMN ERROR_MESSAGE CASCADE
							GO
							ALTER TABLE LSW_EM_TASK_HISTORY RENAME COLUMN ERROR_MESSAGE_TMP TO
							ERROR_MESSAGE
							GO
							call sysproc.admin_cmd('reorg table
							LSW_EM_TASK_HISTORY')
						
;

							ALTER TABLE LSW_PROCESS_ITEM ADD COLUMN
							TRACE_MESSAGE_TMP CLOB(2G)
							GO
							UPDATE LSW_PROCESS_ITEM SET
							TRACE_MESSAGE_TMP = TRACE_MESSAGE
							GO
							ALTER TABLE LSW_PROCESS_ITEM
							DROP COLUMN TRACE_MESSAGE CASCADE
							GO
							ALTER TABLE LSW_PROCESS_ITEM RENAME COLUMN TRACE_MESSAGE_TMP TO
							TRACE_MESSAGE
							GO
							call sysproc.admin_cmd('reorg table
							LSW_PROCESS_ITEM')
						
;

							ALTER TABLE LSW_USR ADD COLUMN OLD_PASSWORDS_TMP
							CLOB(2G)
							GO
							UPDATE LSW_USR SET OLD_PASSWORDS_TMP = OLD_PASSWORDS
							GO
							ALTER TABLE LSW_USR DROP COLUMN OLD_PASSWORDS CASCADE
							GO
							ALTER TABLE LSW_USR RENAME COLUMN OLD_PASSWORDS_TMP TO OLD_PASSWORDS
							GO
							call sysproc.admin_cmd('reorg table LSW_USR')
						
;

                            DROP INDEX IDX_SHORT_NAME
                        
;


CREATE INDEX IDX_SHORT_NAME 
    ON LSW_PROJECT(
    "SHORT_NAME")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_ENV_VAR_TYPE (
    "ENV_VAR_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_ENV_VAR_TYPE_LOB
    IN @DB_NAME@.
    STORES LSW_ENV_VAR_TYPE COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX LSW_ENV_VAR_TYPE_I
    ON LSW_ENV_VAR_TYPE_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX LSWC_ENV_VART_PK
    ON LSW_ENV_VAR_TYPE
    ("ENV_VAR_TYPE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_ENV_VAR_TYPE
    ADD CONSTRAINT LSWC_ENV_VART_PK
    PRIMARY KEY(
       "ENV_VAR_TYPE_ID")

;

CREATE INDEX LSWC_ENV_VART_PK4
    ON LSW_ENV_VAR_TYPE("NAME")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE LSW_ENV_VAR 
ADD 
    "ENV_VAR_TYPE_ID" DECIMAL(2,0)
        DEFAULT 0 NOT NULL
;


;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_REPORT_RBG_LINK (
    "VERSION_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "RBG_REF" CHAR(36) NOT NULL,
    "REPORT_ID" CHAR(36) NOT NULL,
    "REPORT_RBG_LINK_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.
;


CREATE UNIQUE INDEX LSWC_REP_RBG_PK
    ON LSW_REPORT_RBG_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_REPORT_RBG_LINK
    ADD CONSTRAINT LSWC_REP_RBG_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX LSWC_REP_RBG_PK3
    ON LSW_REPORT_RBG_LINK("GUID")
    USING STOGROUP @STOGRP@

;

		
/* END of phase ProcUpgradeTo720 */


		
/* START of phase UpgradeInitialDataToTeamworks720 */
    
			
							BEGIN ATOMIC
							INSERT INTO LSW_USR_GRP_XREF
							(GROUP_ID,GROUP_NAME,DISPLAY_NAME,PARENT_GROUP_ID,GROUP_TYPE,DESCRIPTION)
							VALUES(16, 'tw_allusers_temp', 'tw_allusers', null, 3, 'Group for
							all people.');
							UPDATE LSW_USR_GRP_XREF SET PARENT_GROUP_ID = 16 WHERE PARENT_GROUP_ID
							= 14;

							UPDATE LSW_FAVORITE SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE LSW_PARTICIPANT_GROUP SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE LSW_USR_GRP_MEM_XREF SET GROUP_ID = 16 WHERE GROUP_ID =
							14;

							UPDATE LSW_GRP_GRP_MEM_XREF SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE LSW_GRP_GRP_MEM_XREF SET CONTAINER_GROUP_ID = 16 WHERE
							CONTAINER_GROUP_ID = 14;

							UPDATE LSW_GRP_GRP_MEM_EXPLODED_XREF SET GROUP_ID = 16 WHERE GROUP_ID =
							14;
							UPDATE LSW_GRP_GRP_MEM_EXPLODED_XREF SET CONTAINER_GROUP_ID = 16 WHERE
							CONTAINER_GROUP_ID = 14;
							UPDATE LSW_GRP_GRP_MEM_EXPLODED_XREF SET MEM_PATH = REPLACE(MEM_PATH,
							'#14#', '#16#');

							DELETE FROM LSW_USR_GRP_XREF WHERE GROUP_ID = 14;
							UPDATE LSW_USR_GRP_XREF SET GROUP_NAME = 'tw_allusers' WHERE GROUP_NAME
							= 'tw_allusers_temp';

							UPDATE LSW_TASK SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE LSW_TASK SET GROUP_ID = -16 WHERE GROUP_ID = -14;
							END
						
;

							BEGIN ATOMIC
							INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(0, '0', 'General');
							INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(1, '1', 'ILOG Rules Server');
							INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(2, '2', 'ICI Web Service URL');
							INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(3, '3', 'ICI Connector Name');
							END
						
;

							BEGIN ATOMIC
							UPDATE LSW_SAVED_SEARCHES SET SEARCH_NAME='portal.savedsearch.inbox'
							WHERE SEARCH_ID=1;
							UPDATE LSW_SAVED_SEARCHES SET SEARCH_NAME='portal.savedsearch.history'
							WHERE SEARCH_ID=2;
							UPDATE LSW_SAVED_SEARCHES SET
							SEARCH_NAME='portal.savedsearch.help_reqs' WHERE SEARCH_ID=3;
							UPDATE LSW_SAVED_SEARCHES SET
							SEARCH_NAME='portal.savedsearch.alerts' WHERE SEARCH_ID=4;
							END
						
;

ALTER TABLE LSW_BPD_INSTANCE_VARIABLES ALTER "STRING_VALUE" SET DATA TYPE VARCHAR(1024)
;

							BEGIN ATOMIC
							INSERT INTO LSW_USR_GRP_XREF(GROUP_ID, GROUP_NAME, DISPLAY_NAME,
							PARENT_GROUP_ID, GROUP_TYPE, DESCRIPTION)
							VALUES(15, 'tw_process_owners', 'tw_process_owners', null, 3, 'Group for
							people with full access to critical path');
							INSERT INTO LSW_USR_GRP_MEM_XREF(USER_ID, GROUP_ID) VALUES(1, 15);
							END
						
;

		
/* END of phase UpgradeInitialDataToTeamworks720 */


		
/* START of phase UpgradeProjectOwnerToTeamworks720 */
    
			
							BEGIN ATOMIC
							UPDATE LSW_ACL_ENTRY SET USER_ID=2 WHERE USER_ID=1 AND PO_TYPE=2066 AND
							PO_ID='23d3ecec-6fdb-4033-9c57-e931aa13761f' AND MASK=127;
							UPDATE LSW_ACL_ENTRY SET USER_ID=2 WHERE USER_ID=1 AND PO_TYPE=2066 AND
							PO_ID='14519785-cbb2-466e-a744-99c47aff98c5' AND MASK=127;
							END
						
;

		
/* END of phase UpgradeProjectOwnerToTeamworks720 */

	
    

		
/* START of phase ProcUpgradeTo750 */
    
			
ALTER  TABLE LSW_JAVA_CONNECTOR
DROP 
    "ATTACHED_PROCESS_REF" 
;

commit

;


call sysproc.admin_cmd('reorg table LSW_JAVA_CONNECTOR')

;

ALTER  TABLE LSW_WS_CONNECTOR
DROP 
    "ATTACHED_PROCESS_REF" 
;

commit

;


call sysproc.admin_cmd('reorg table LSW_WS_CONNECTOR')

;

ALTER  TABLE LSW_ILOG_CONNECTOR
DROP 
    "ATTACHED_PROCESS_REF" 
;

commit

;


call sysproc.admin_cmd('reorg table LSW_ILOG_CONNECTOR')

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_SCA_CONNECTOR (
    "SCA_CONNECTOR_ID" CHAR(36) NOT NULL,
    "MODULE_NAME" VARCHAR(512),
    "EXPORT_NAME" VARCHAR(512),
    "MODULE_VERSION" VARCHAR(64),
    "OPERATION_NAME" VARCHAR(512),
    "IS_ASYNC_INVOCATION" CHAR(1),
    "OPERATION_STYLE" DECIMAL(1,0),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.
;


CREATE UNIQUE INDEX LSWC_SCNTR_PK
    ON LSW_SCA_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_SCA_CONNECTOR
    ADD CONSTRAINT LSWC_SCNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX LSWC_SCNTR_PK3
    ON LSW_SCA_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE LSW_PROJECT_DEFAULTS 
ADD 
    "NAMESPACE" VARCHAR(512) 
ADD 
    "IS_WBM_ENABLED" CHAR(1)
        DEFAULT 'F' 
ADD 
    "IS_IID_OPTIMIZED" CHAR(1)
        DEFAULT 'F'
;


CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_CONTRIBUTION (
    "CONTRIBUTION_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "FILENAME" VARCHAR(2048)
        DEFAULT ' ' NOT NULL
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_CONTRIBUTION_LOB
    IN @DB_NAME@.
    STORES BPM_CONTRIBUTION COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_CONTRIBUTION_I
    ON BPM_CONTRIBUTION_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_NODE_PK
    ON BPM_CONTRIBUTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_CONTRIBUTION
    ADD CONSTRAINT BPM_NODE_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_NODE_PK3
    ON BPM_CONTRIBUTION("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_IDX_NODE 
    ON BPM_CONTRIBUTION(
    "CONTRIBUTION_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_IDX2_NODE 
    ON BPM_CONTRIBUTION(
    "NAME")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_CTRB_PROPERTY (
    "PROPERTY_ID" CHAR(36) NOT NULL,
    "CONTRIBUTION_ID" CHAR(36) NOT NULL,
    "PROP_VALUE" VARCHAR(2000),
    "PROP_TYPE_CODE" DECIMAL(8,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_CTRB_PROPERTY_LOB
    IN @DB_NAME@.
    STORES BPM_CTRB_PROPERTY COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_CTRB_PROPERTY_I
    ON BPM_CTRB_PROPERTY_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_CPRP_PK
    ON BPM_CTRB_PROPERTY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_CTRB_PROPERTY
    ADD CONSTRAINT BPM_CPRP_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_CPRP_PK3
    ON BPM_CTRB_PROPERTY("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_CPRP_NUQ 
    ON BPM_CTRB_PROPERTY(
    "CONTRIBUTION_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_IDX_CPRP 
    ON BPM_CTRB_PROPERTY(
    "NAME")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_CTRB_DEPENDENCY (
    "CTRB_DEPENDENCY_ID" CHAR(36) NOT NULL,
    "LIBRARY_NAME" VARCHAR(2048) NOT NULL,
    "CONTRIBUTION_ID" CHAR(36) NOT NULL,
    "CONTRIBUTION_REF" CHAR(36),
    "DEPLOY_WITH" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.
;


CREATE UNIQUE INDEX BPM_CDEP_PK
    ON BPM_CTRB_DEPENDENCY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_CTRB_DEPENDENCY
    ADD CONSTRAINT BPM_CDEP_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_CDEP_PK3
    ON BPM_CTRB_DEPENDENCY("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_CDEP_NUQ 
    ON BPM_CTRB_DEPENDENCY(
    "CONTRIBUTION_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_ARTIFACT (
    "ARTIFACT_ID" CHAR(36) NOT NULL,
    "ART_DATA_UUID" CHAR(36),
    "CONTRIBUTION_ID" CHAR(36) NOT NULL,
    "MEDIA_TYPE" VARCHAR(200)
        DEFAULT 'application/octet-stream',
    "CHAR_ENCODING" VARCHAR(200)
        DEFAULT 'UTF-8',
    "LENGTH" DECIMAL(19,0),
    "FULL_PATH" VARCHAR(2048) NOT NULL,
    "DIGEST" VARCHAR(90) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_ARTIFACT_LOB
    IN @DB_NAME@.
    STORES BPM_ARTIFACT COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_ARTIFACT_I
    ON BPM_ARTIFACT_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_NPRP_PK
    ON BPM_ARTIFACT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_ARTIFACT
    ADD CONSTRAINT BPM_NPRP_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_NPRP_PK3
    ON BPM_ARTIFACT("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_IDX_ART 
    ON BPM_ARTIFACT(
    "ARTIFACT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_IDX2_ART 
    ON BPM_ARTIFACT(
    "NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_IDX3_ART 
    ON BPM_ARTIFACT(
    "FULL_PATH")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_ARTIFACT_DATA (
    "ART_DATA_ID" CHAR(36) NOT NULL,
    "ART_DATA" BLOB(2G)
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_ARTIFACT_DATA_LOB
    IN @DB_NAME@.
    STORES BPM_ARTIFACT_DATA COLUMN ART_DATA
;
CREATE UNIQUE INDEX BPM_ARTIFACT_DATA_I
    ON BPM_ARTIFACT_DATA_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_ART_DATA_PK
    ON BPM_ARTIFACT_DATA
    ("ART_DATA_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_ARTIFACT_DATA
    ADD CONSTRAINT BPM_ART_DATA_PK
    PRIMARY KEY(
       "ART_DATA_ID")

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_PROC_ARTIFACT_REF (
    "PROC_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
    "PROCESS_ID" CHAR(36) NOT NULL,
    "ARTIFACT_REF" CHAR(36) NOT NULL,
    "ARTIFACT_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.
;


CREATE UNIQUE INDEX BPM_PAREF_PK
    ON BPM_PROC_ARTIFACT_REF
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_PROC_ARTIFACT_REF
    ADD CONSTRAINT BPM_PAREF_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_PAREF_PK3
    ON BPM_PROC_ARTIFACT_REF("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_PAREF_NUQ 
    ON BPM_PROC_ARTIFACT_REF(
    "PROCESS_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE LSW_SNAPSHOT 
ADD 
    "IS_STARTED" CHAR(1)
        DEFAULT 'F' NOT NULL 
ADD 
    "IS_BLA_ACTIVE" CHAR(1)
        DEFAULT 'F' NOT NULL 
ADD 
    "IS_BLA_INSTALLED" CHAR(1)
        DEFAULT 'F' NOT NULL 
ADD 
    "IS_TIP_DEPLOYED" CHAR(1)
        DEFAULT 'F' NOT NULL 
ADD 
    "ACRONYM" VARCHAR(128)
;


CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_CLS_ARTIFACT_REF (
    "CLS_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
    "CLASS_ID" CHAR(36) NOT NULL,
    "ARTIFACT_REF" CHAR(36) NOT NULL,
    "ARTIFACT_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.
;


CREATE UNIQUE INDEX BPM_CAREF_PK
    ON BPM_CLS_ARTIFACT_REF
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_CLS_ARTIFACT_REF
    ADD CONSTRAINT BPM_CAREF_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_CAREF_PK3
    ON BPM_CLS_ARTIFACT_REF("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_CAREF_NUQ 
    ON BPM_CLS_ARTIFACT_REF(
    "CLASS_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_BPD_ARTIFACT_REF (
    "BPD_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
    "BPD_ID" CHAR(36) NOT NULL,
    "ARTIFACT_REF" CHAR(36) NOT NULL,
    "ARTIFACT_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.
;


CREATE UNIQUE INDEX BPM_BAREF_PK
    ON BPM_BPD_ARTIFACT_REF
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_BPD_ARTIFACT_REF
    ADD CONSTRAINT BPM_BAREF_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_BAREF_PK3
    ON BPM_BPD_ARTIFACT_REF("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_BAREF_NUQ 
    ON BPM_BPD_ARTIFACT_REF(
    "BPD_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_MON_MODEL_DATA (
    "MM_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(256) NOT NULL,
    "DATA" BLOB(2G)
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_MON_MODEL_DATA_LOB
    IN @DB_NAME@.
    STORES BPM_MON_MODEL_DATA COLUMN DATA
;
CREATE UNIQUE INDEX BPM_MON_MODEL_DATA_I
    ON BPM_MON_MODEL_DATA_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_MMDATA_PK
    ON BPM_MON_MODEL_DATA
    ("MM_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_MON_MODEL_DATA
    ADD CONSTRAINT BPM_MMDATA_PK
    PRIMARY KEY(
       "MM_ID")

;

CREATE UNIQUE INDEX BPM_MMDATA_UQ
    ON BPM_MON_MODEL_DATA(
        "NAME")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_SERVER_CAPABILITY (
    "SERVER_CAPABILITY_ID" CHAR(36) NOT NULL,
    "SERVER_ID" CHAR(36) NOT NULL,
    "CAPABILITY_TYPE" VARCHAR(128) NOT NULL,
    "CAPABILITY_VERSION" VARCHAR(128) NOT NULL
)
IN @DB_NAME@.
;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_CAPABILITY_TYPE (
    "CAPABILITY_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "CAPABILITY_CONFIG_ID" VARCHAR(128) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "IS_OPTIONAL" CHAR(1)
        DEFAULT '0'
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_CAPABILITY_TYPE_LOB
    IN @DB_NAME@.
    STORES LSW_CAPABILITY_TYPE COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX LSW_CAPABILITY_TYPE_I
    ON LSW_CAPABILITY_TYPE_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX LSWC_SVRCAP_PK
    ON LSW_SERVER_CAPABILITY
    ("SERVER_CAPABILITY_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_SERVER_CAPABILITY
    ADD CONSTRAINT LSWC_SVRCAP_PK
    PRIMARY KEY(
       "SERVER_CAPABILITY_ID")

;


CREATE UNIQUE INDEX LSWC_CAP_TYPE_PK
    ON LSW_CAPABILITY_TYPE
    ("CAPABILITY_TYPE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_CAPABILITY_TYPE
    ADD CONSTRAINT LSWC_CAP_TYPE_PK
    PRIMARY KEY(
       "CAPABILITY_TYPE_ID")

;

ALTER TABLE LSW_SERVER_CAPABILITY
    ADD CONSTRAINT LSWC_SVRCAP_FK1
	FOREIGN KEY("SERVER_ID")
	REFERENCES LSW_SERVER("SERVER_ID")
	
;

CREATE INDEX LSWC_CAP_TYPE_PK4
    ON LSW_CAPABILITY_TYPE("NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX IDX_CAPCFG_ID 
    ON LSW_CAPABILITY_TYPE(
    "CAPABILITY_CONFIG_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX IDX8_LSW_TASK 
    ON LSW_TASK(
    "BPD_INSTANCE_ID",
    "STATUS",
    "PRIORITY_ID",
    "GROUP_ID",
    "USER_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE LSW_BRANCH 
ADD 
    "ACRONYM" VARCHAR(128)
;


							BEGIN ATOMIC
							INSERT INTO LSW_SAVED_SEARCHES (SEARCH_ID, SEARCH_NAME, QUERY) VALUES(
							COALESCE( ((SELECT MAX(SEARCH_ID) FROM LSW_SAVED_SEARCHES)+1), 1
							), 'IBM.DEFAULTALLTASKSLIST_75', '<?xml version="1.0" encoding="UTF-8"?><query organization="byTask" first-sort="" second-sort=""> <constraints /> <results> <column name="taskSubject" column-type="task"/> <column name="taskNarrative" column-type="task"/> <column name="taskDueDate" column-type="task"/> <column name="taskReceivedDate" column-type="task"/> <column name="taskPriority" column-type="task"/> <column name="taskStatus" column-type="task"/> <column name="taskReceivedFrom" column-type="task"/> <column name="assignedToUser" column-type="task"/> <column name="taskActivityName" column-type="task"/> <column name="taskId" column-type="task"/> <column name="instanceId" column-type="instance"/> <column name="instanceName" column-type="instance"/> <column name="bpdId" column-type="instance"/> <column name="instanceProcessApp" column-type="instance"/> <column name="instanceSnapshot" column-type="instance"/> <column name="instanceSnapshotId" column-type="instance"/> </results> </query>');
							INSERT INTO LSW_SAVED_SEARCHES (SEARCH_ID, SEARCH_NAME, QUERY)
							VALUES( COALESCE( ((SELECT MAX(SEARCH_ID) FROM
							LSW_SAVED_SEARCHES)+1), 2 ), 'IBM.DEFAULTALLPROCESSLIST_75', '<?xml version="1.0" encoding="UTF-8"?><query organization="byInstance" first-sort="" second-sort=""> <constraints /> <results> <column name="instanceName" column-type="instance"/> <column name="instanceStatus" column-type="instance"/> <column name="bpdName" column-type="instance"/> <column name="instanceId" column-type="instance"/> <column name="bpdId" column-type="instance"/> <column name="instanceProcessApp" column-type="instance"/> <column name="instanceSnapshot" column-type="instance"/> <column name="instanceSnapshotId" column-type="instance"/> </results> </query>');
							END
						
;

CREATE TABLESPACE 
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_ILOG_DECISION (
    "ILOG_DECISION_ID" CHAR(36) NOT NULL,
    "DEFINITION" BLOB(2G) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.
;

CREATE LOB TABLESPACE 
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_ILOG_DECISION_LOB
    IN @DB_NAME@.
    STORES LSW_ILOG_DECISION COLUMN DEFINITION
;
CREATE UNIQUE INDEX LSW_ILOG_DECISION_I
    ON LSW_ILOG_DECISION_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX LSWC_ILDT_PK
    ON LSW_ILOG_DECISION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_ILOG_DECISION
    ADD CONSTRAINT LSWC_ILDT_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX LSWC_ILDT_PK3
    ON LSW_ILOG_DECISION("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE LSW_SNAPSHOT 
ADD 
    "ACTIVATED_ON" TIMESTAMP
;


ALTER TABLE LSW_TIMING_INTERVAL ALTER "INTERVAL_START" SET DATA TYPE VARCHAR(16)
;

ALTER TABLE LSW_TIMING_INTERVAL ALTER "INTERVAL_END" SET DATA TYPE VARCHAR(16)
;

ALTER TABLE LSW_TIMING_INTERVAL_BOUND ALTER "BOUND" SET DATA TYPE VARCHAR(16)
;

ALTER TABLE LSW_TRACKED_VARIABLE ALTER "TYPE" SET DATA TYPE VARCHAR(16)
;

							BEGIN ATOMIC
							INSERT INTO LSW_CAPABILITY_TYPE (CAPABILITY_TYPE_ID,
							CAPABILITY_CONFIG_ID, NAME, DESCRIPTION, IS_OPTIONAL) VALUES(0,
							'Extended', 'BPM Extended', 'Description of BPM Extended
							Capability', 'F');
							INSERT INTO LSW_PRI_KEY(TABLE_ID, HIGH_KEY)
							VALUES('LSW_CAPABILITY_TYPE', 1000);
							END
                        
;

ALTER TABLE LSW_DYNAMIC_GROUP ALTER "NAME" SET DATA TYPE VARCHAR(256)
;

ALTER TABLE LSW_USR_GRP_XREF ALTER "DISPLAY_NAME" SET DATA TYPE VARCHAR(256)
;

							INSERT INTO LSW_USR_GRP_MEM_XREF("GROUP_ID", "USER_ID") VALUES(11, 1)							      						      
						
;

		
/* END of phase ProcUpgradeTo750 */

		
/* START of phase ProcUpgradeTo750Phase2 */
    
			
;

ALTER TABLE LSW_BRANCH ALTER "NAME" SET DATA TYPE VARCHAR(128)
;

ALTER TABLE LSW_BRANCH ALTER "NAME" SET NOT NULL
;

ALTER TABLE LSW_BRANCH ALTER "ACRONYM" SET DATA TYPE VARCHAR(128)
;

ALTER TABLE LSW_BRANCH ALTER "ACRONYM" SET NOT NULL
;

;

							call sysproc.admin_cmd('reorg table LSW_BRANCH')
                        
;

ALTER TABLE LSW_SNAPSHOT ALTER "ACRONYM" SET DATA TYPE VARCHAR(128)
;

ALTER TABLE LSW_SNAPSHOT ALTER "ACRONYM" SET NOT NULL
;

							call sysproc.admin_cmd('reorg table LSW_SNAPSHOT')
                        
;

                            DROP INDEX IDX_SHORT_NAME
                        
;




CREATE UNIQUE INDEX IDX3_BRANCH
    ON LSW_BRANCH(
        "PROJECT_ID",
        "ACRONYM")
    USING STOGROUP @STOGRP@

;

CREATE UNIQUE INDEX IDX5_SNAPSHOT
    ON LSW_SNAPSHOT(
        "PROJECT_ID",
        "ACRONYM")
    USING STOGROUP @STOGRP@

;

CREATE INDEX IDX_SHORT_NAME 
    ON LSW_PROJECT(
    "SHORT_NAME")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPT17
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_ICMCASE_CONNECTOR (
    "ICMCASE_CONNECTOR_ID" CHAR(36) NOT NULL,
    "DEFINITION" BLOB(2G) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT17
;

CREATE LOB TABLESPACE WLP172
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_ICMCASE_CONNECTOR2_LOB
    IN @DB_NAME@.WLP172
    STORES LSW_ICMCASE_CONNECTOR COLUMN DEFINITION
;
CREATE UNIQUE INDEX LSW_ICMCASE_CONNECTOR2_I
    ON LSW_ICMCASE_CONNECTOR2_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX LSWC_ICNTR_PK
    ON LSW_ICMCASE_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_ICMCASE_CONNECTOR
    ADD CONSTRAINT LSWC_ICNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX LSWC_ICNTR_PK3
    ON LSW_ICMCASE_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;

		
/* END of phase ProcUpgradeTo750Phase2 */

	
    

		
/* START of phase ProcUpgradeTo751 */
    
			
ALTER  TABLE LSW_BPD 
ADD 
    "TYPE" DECIMAL(2,0)
;

ALTER  TABLE LSW_BPD 
ADD 
    "ROOT_BPD_ID" CHAR(36)
;

ALTER  TABLE LSW_BPD 
ADD 
    "PARENT_BPD_ID" CHAR(36)
;

ALTER  TABLE LSW_BPD 
ADD 
    "PARENT_FLOW_OBJECT_ID" VARCHAR(256)
;





ALTER  TABLE LSW_PROCESS 
ADD 
    "XML_DATA" BLOB(2G)
;

CREATE LOB TABLESPACE WLP0316
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_PROCESS16_LOB
    IN @DB_NAME@.WLP0316
    STORES LSW_PROCESS COLUMN XML_DATA
;
CREATE UNIQUE INDEX LSW_PROCESS16_I
    ON LSW_PROCESS16_LOB
    USING STOGROUP @STOGRP@
;
        

ALTER  TABLE LSW_BPD 
ADD 
    "XML_DATA" BLOB(2G)
;

CREATE LOB TABLESPACE WLP10425
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_BPD25_LOB
    IN @DB_NAME@.WLP10425
    STORES LSW_BPD COLUMN XML_DATA
;
CREATE UNIQUE INDEX LSW_BPD25_I
    ON LSW_BPD25_LOB
    USING STOGROUP @STOGRP@
;
        

ALTER  TABLE LSW_SCA_CONNECTOR 
ADD 
    "LAST_SYNCHRONIZED" VARCHAR(256)
;


ALTER TABLE LSW_DYNAMIC_GROUP_CONSTRAINT DROP CONSTRAINT LSW_DGRPC_FK
;

ALTER TABLE LSW_DEPLOYMENT_PACKAGE DROP CONSTRAINT LSWC_DPLPKG_FK1
;

RENAME TABLE LSW_DYNAMIC_GROUP_DEPENDENCY TO 
LSW_DYNAMIC_GROUP_DEPENDENCY_COPY
;
CREATE TABLESPACE WLZT143
IN @DB_NAME@
USING STOGROUP @STOGRP@
SEGSIZE 32
LOCKMAX SYSTEM
LOCKSIZE ROW
DEFINE YES
CCSID UNICODE
BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_DYNAMIC_GROUP_DEPENDENCY (
	"PARENT_GROUP_ID" DECIMAL(12,0) NOT NULL,
	"CHILD_GROUP_ID" DECIMAL(12,0) NOT NULL
) IN @DB_NAME@.WLZT143
;
INSERT INTO LSW_DYNAMIC_GROUP_DEPENDENCY 
    (SELECT * FROM LSW_DYNAMIC_GROUP_DEPENDENCY_COPY)
;
DROP TABLE LSW_DYNAMIC_GROUP_DEPENDENCY_COPY
;
COMMIT
;
CREATE UNIQUE INDEX LSW_DGDEP_PK
	ON LSW_DYNAMIC_GROUP_DEPENDENCY
	("PARENT_GROUP_ID","CHILD_GROUP_ID")
	USING STOGROUP @STOGRP@
;
ALTER TABLE LSW_DYNAMIC_GROUP_DEPENDENCY
	ADD CONSTRAINT LSW_DGDEP_PK
	PRIMARY KEY(
	"PARENT_GROUP_ID",
	"CHILD_GROUP_ID")
;
ALTER TABLE LSW_DYNAMIC_GROUP_DEPENDENCY
	ADD CONSTRAINT LSWC_DGRP_DEP_FK
	FOREIGN KEY("PARENT_GROUP_ID")
	REFERENCES LSW_DYNAMIC_GROUP("DYNAMIC_GROUP_ID")
	ON DELETE CASCADE
;
					  









ALTER TABLE LSW_DYNAMIC_GROUP_CONSTRAINT
    ADD CONSTRAINT LSW_DGRPC_FK
	FOREIGN KEY("DYNAMIC_GROUP_ID")
	REFERENCES LSW_DYNAMIC_GROUP("DYNAMIC_GROUP_ID")
	ON DELETE CASCADE
;

ALTER TABLE LSW_DEPLOYMENT_PACKAGE
    ADD CONSTRAINT LSWC_DPLPKG_FK1
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;

ALTER TABLE LSW_RT_USER_ATTRIBUTE_DEF
    ADD CONSTRAINT LSWC_RT_UAD_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;

ALTER TABLE LSW_FAVORITE
    ADD CONSTRAINT LSWC_FAV_TRK_FK
	FOREIGN KEY("BRANCH_ID")
	REFERENCES LSW_BRANCH("BRANCH_ID")
	ON DELETE CASCADE
;

ALTER TABLE LSW_DYNAMIC_GROUP
    ADD CONSTRAINT LSWC_DGRP_TRK_FK
	FOREIGN KEY("BRANCH_ID")
	REFERENCES LSW_BRANCH("BRANCH_ID")
	ON DELETE CASCADE
;

ALTER TABLE LSW_DEPLOYMENT
    ADD CONSTRAINT LSWC_DEP_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;

ALTER TABLE LSW_ENV_VAR_VAL
    ADD CONSTRAINT LSWC_E_VAR_VAL_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;

ALTER TABLE LSW_SMART_FOLDER
    ADD CONSTRAINT LSWC_SF_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;

ALTER  TABLE LSW_PROJECT_DEFAULTS 
ADD 
    "PARTICIPANT_REF" CHAR(36)
;


ALTER  TABLE LSW_INST_MSG_EXCL 
ADD 
    "WAIT_ID" DECIMAL(20,0)
;


ALTER  TABLE LSW_PARTICIPANT 
ADD 
    "CURRENCY_CODE" CHAR(3)
;


ALTER  TABLE LSW_USR_GRP_XREF 
ADD 
    "GROUP_STATE" DECIMAL(2,0)
        DEFAULT 0 NOT NULL
;


INSERT INTO LSW_TASK_STATUS_CODES("STATUS_ID", "NAME", "STATUS_VALUE")
    VALUES(15, 'Followed', '70')
						
;

INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
    VALUES(4, '4', 'ICM Server')
;
INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
    VALUES(5, '5', 'Server Property')
;
						
		
/* END of phase ProcUpgradeTo751 */

	
    

	    
/* START of phase ProcUpgradeTo800 */
    
			
INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
    VALUES(7, '7', 'Sametime Server')
                        
;

CREATE TABLESPACE WLPT200
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_REGISTRATION (
    "REG_ID" CHAR(36) NOT NULL,
    "PC_URL" VARCHAR(512) NOT NULL,
    "PC_ID" CHAR(36) NOT NULL,
    "PC_NAME" VARCHAR(256) NOT NULL,
    "PC_VER" VARCHAR(32) NOT NULL,
    "REG_USER" VARCHAR(512) NOT NULL,
    "REGISTERED_ON" TIMESTAMP,
    "ACTIVE" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "IS_INITIATOR" CHAR(1)
        DEFAULT 'T' NOT NULL
)
IN @DB_NAME@.WLPT200
;


CREATE UNIQUE INDEX BPM_REGISTRATION_PK
    ON BPM_REGISTRATION
    ("REG_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_REGISTRATION
    ADD CONSTRAINT BPM_REGISTRATION_PK
    PRIMARY KEY(
       "REG_ID")

;

CREATE TABLESPACE WLPT201
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_REPOSITORY_LOG (
    "REPOSITORY_LOG_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36),
    "ACTION_TYPE" DECIMAL(8,0) NOT NULL,
    "TARGET_ITEM_NAME" VARCHAR(396),
    "REPOSITORY_UUID" CHAR(36),
    "CREATED_BY_USER" VARCHAR(512),
    "CREATED" TIMESTAMP,
    "PROPERTIES" CLOB(2G)
)
IN @DB_NAME@.WLPT201
;

CREATE LOB TABLESPACE WLP2018
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_REPOSITORY_LOG8_LOB
    IN @DB_NAME@.WLP2018
    STORES BPM_REPOSITORY_LOG COLUMN PROPERTIES
;
CREATE UNIQUE INDEX BPM_REPOSITORY_LOG8_I
    ON BPM_REPOSITORY_LOG8_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_REPOSITORY_LOG_PK
    ON BPM_REPOSITORY_LOG
    ("REPOSITORY_LOG_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_REPOSITORY_LOG
    ADD CONSTRAINT BPM_REPOSITORY_LOG_PK
    PRIMARY KEY(
       "REPOSITORY_LOG_ID")

;

CREATE TABLESPACE WLPT202
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_SHARED_TK_USAGES (
    "SHARED_TK_USAGE_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "SNAPSHOT_ID" CHAR(36) NOT NULL,
    "REGISTRATION_ID" CHAR(36) NOT NULL,
    "DEPENDENT_PROJECT_NAME" VARCHAR(256) NOT NULL,
    "IS_TOOLKIT" CHAR(1)
        DEFAULT 'F' NOT NULL
)
IN @DB_NAME@.WLPT202
;


CREATE UNIQUE INDEX BPM_SHARED_TK_USAGES_PK
    ON BPM_SHARED_TK_USAGES
    ("SHARED_TK_USAGE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_SHARED_TK_USAGES
    ADD CONSTRAINT BPM_SHARED_TK_USAGES_PK
    PRIMARY KEY(
       "SHARED_TK_USAGE_ID")

;

ALTER  TABLE LSW_PROJECT 
ADD 
    "IS_SHARED" CHAR(1)
        DEFAULT 'F' NOT NULL
;

ALTER  TABLE LSW_PROJECT 
ADD 
    "SHARED_BY_USER_ID" DECIMAL(12,0)
;

ALTER  TABLE LSW_PROJECT 
ADD 
    "SHARED_ON" TIMESTAMP
;




CREATE TABLESPACE WLPT197
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_SHARED_OBJECT (
    "DEFINITION_VERSION_ID" CHAR(36) NOT NULL,
    "OBJECT_ID" CHAR(36) NOT NULL,
    "DEFINITION_VERSION" DECIMAL(12,0) NOT NULL,
    "CLASS_VERSION_ID" CHAR(36) NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0),
    "TASK_ID" DECIMAL(12,0),
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT197
;

CREATE TABLESPACE WLPT198
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_SHARED_OBJECT_INSTANCE (
    "INSTANCE_VERSION_ID" CHAR(36) NOT NULL,
    "INSTANCE_VERSION" DECIMAL(12,0) NOT NULL,
    "DEFINITION_VERSION_ID" CHAR(36) NOT NULL,
    "JDATA" BLOB(2G),
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT198
;

CREATE LOB TABLESPACE WLP1984
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_SHARED_OBJECT_INSTANCE4_LOB
    IN @DB_NAME@.WLP1984
    STORES BPM_SHARED_OBJECT_INSTANCE COLUMN JDATA
;
CREATE UNIQUE INDEX BPM_SHARED_OBJECT_INSTANCE4_I
    ON BPM_SHARED_OBJECT_INSTANCE4_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE TABLESPACE WLPT199
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_SHARED_OBJECT_VALUE (
    "VALUE_ID" CHAR(36) NOT NULL,
    "INSTANCE_VERSION_ID" CHAR(36) NOT NULL,
    "FIELD_PATH" VARCHAR(2048) NOT NULL,
    "VALUE" BLOB(2G),
    "PRIOR_VALUE" BLOB(2G)
)
IN @DB_NAME@.WLPT199
;

CREATE LOB TABLESPACE WLP1994
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_SHARED_OBJECT_VALUE4_LOB
    IN @DB_NAME@.WLP1994
    STORES BPM_SHARED_OBJECT_VALUE COLUMN VALUE
;
CREATE UNIQUE INDEX BPM_SHARED_OBJECT_VALUE4_I
    ON BPM_SHARED_OBJECT_VALUE4_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLP1995
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_SHARED_OBJECT_VALUE5_LOB
    IN @DB_NAME@.WLP1995
    STORES BPM_SHARED_OBJECT_VALUE COLUMN PRIOR_VALUE
;
CREATE UNIQUE INDEX BPM_SHARED_OBJECT_VALUE5_I
    ON BPM_SHARED_OBJECT_VALUE5_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_SHARED_OBJECT_PK
    ON BPM_SHARED_OBJECT
    ("DEFINITION_VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJECT_PK
    PRIMARY KEY(
       "DEFINITION_VERSION_ID")

;


CREATE UNIQUE INDEX BPM_SHARED_OBJECT_INSTANCE_PK
    ON BPM_SHARED_OBJECT_INSTANCE
    ("INSTANCE_VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_SHARED_OBJECT_INSTANCE
    ADD CONSTRAINT BPM_SHARED_OBJECT_INSTANCE_PK
    PRIMARY KEY(
       "INSTANCE_VERSION_ID")

;


CREATE UNIQUE INDEX BPM_SHARED_OBJECT_VALUE_PK
    ON BPM_SHARED_OBJECT_VALUE
    ("VALUE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_SHARED_OBJECT_VALUE
    ADD CONSTRAINT BPM_SHARED_OBJECT_VALUE_PK
    PRIMARY KEY(
       "VALUE_ID")

;

ALTER TABLE BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJECT_FK
	FOREIGN KEY("CLASS_VERSION_ID")
	REFERENCES LSW_CLASS("VERSION_ID")
	
;

ALTER TABLE BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJ_TO_INSTANCE
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
;

ALTER TABLE BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJ_TO_TASK
	FOREIGN KEY("TASK_ID")
	REFERENCES LSW_TASK("TASK_ID")
	ON DELETE CASCADE
;

CREATE UNIQUE INDEX BPM_SHARED_OBJECT_UQ
    ON BPM_SHARED_OBJECT(
        "OBJECT_ID",
        "DEFINITION_VERSION")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_SHARED_OBJECT_INSTANCE
    ADD CONSTRAINT BPM_SHARED_OBJECT_INSTANCE_FK
	FOREIGN KEY("DEFINITION_VERSION_ID")
	REFERENCES BPM_SHARED_OBJECT("DEFINITION_VERSION_ID")
	ON DELETE CASCADE
;

CREATE UNIQUE INDEX BPM_SHARED_OBJECT_INSTANCE_UQ
    ON BPM_SHARED_OBJECT_INSTANCE(
        "DEFINITION_VERSION_ID",
        "INSTANCE_VERSION")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_SHARED_OBJECT_VALUE
    ADD CONSTRAINT BPM_SHARED_OBJECT_VALUE_FK
	FOREIGN KEY("INSTANCE_VERSION_ID")
	REFERENCES BPM_SHARED_OBJECT_INSTANCE("INSTANCE_VERSION_ID")
	ON DELETE CASCADE
;

ALTER  TABLE LSW_PROJECT 
ADD 
    "IS_GOVERNED" CHAR(1)
        DEFAULT 'F' NOT NULL
;


ALTER  TABLE LSW_PO_VERSIONS 
ADD 
    "PO_ORIG_VERSION_ID" CHAR(36)
;

ALTER  TABLE LSW_PO_VERSIONS 
ADD 
    "ORIG_LAST_MODIFIED_BY_USER" VARCHAR(100)
;

ALTER  TABLE LSW_PO_VERSIONS 
ADD 
    "ORIG_LAST_MODIFIED" TIMESTAMP
;




ALTER  TABLE LSW_SNAPSHOT 
ADD 
    "STATUS" VARCHAR(128)
        DEFAULT 'New' NOT NULL
;


ALTER  TABLE LSW_TASK 
ADD 
    "COLLABORATION" CHAR(1)
        DEFAULT 'F' NOT NULL
;


ALTER  TABLE LSW_DEPLOYMENT 
ADD 
    "STATUS" VARCHAR(128)
;

ALTER  TABLE LSW_DEPLOYMENT 
ADD 
    "STATE" DECIMAL(2,0)
        DEFAULT 0 NOT NULL
;

ALTER  TABLE LSW_DEPLOYMENT 
ADD 
    "STATUS_DESCRIPTION" VARCHAR(500)
;




CREATE TABLESPACE WLPT203
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_SNAPSHOT_STATUS (
    "STATUS_ID" CHAR(36) NOT NULL,
    "STATUS" VARCHAR(128) NOT NULL,
    "IS_SYSTEM" CHAR(1)
        DEFAULT 'F' NOT NULL
)
IN @DB_NAME@.WLPT203
;


CREATE UNIQUE INDEX BPM_SNAPSHOT_STATUS_PK
    ON BPM_SNAPSHOT_STATUS
    ("STATUS_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_SNAPSHOT_STATUS
    ADD CONSTRAINT BPM_SNAPSHOT_STATUS_PK
    PRIMARY KEY(
       "STATUS_ID")

;

INSERT INTO BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM)
    VALUES('1b351583-e5cb-43b7-baee-340a63130ea1', 'New', 'T')
;
INSERT INTO BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM)
    VALUES('1b351583-e5cb-43b7-baee-340a63130ea2', 'Rejected', 'T')
;
INSERT INTO BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM)
    VALUES('1b351583-e5cb-43b7-baee-340a63130ea3', 'Validated', 'T')
;
INSERT INTO BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM)
    VALUES('1b351583-e5cb-43b7-baee-340a63130ea7', 'Released', 'T')
;
						
CREATE TABLESPACE WLZT32
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_COACH_VIEW (
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "IS_TEMPLATE" CHAR(1),
    "LAYOUT" BLOB(2G),
    "PALETTE_ICON" CHAR(36),
    "PREVIEW_IMAGE" CHAR(36),
    "HAS_LABEL" CHAR(1),
    "LABEL_POSITION" DECIMAL(2,0),
    "NINE_SLICE_X1_COORD" DECIMAL(5,0),
    "NINE_SLICE_X2_COORD" DECIMAL(5,0),
    "NINE_SLICE_Y1_COORD" DECIMAL(5,0),
    "NINE_SLICE_Y2_COORD" DECIMAL(5,0),
    "EMIT_BOUNDARY" CHAR(1),
    "LOAD_JS_FUNCTION" CLOB(2G),
    "UNLOAD_JS_FUNCTION" CLOB(2G),
    "VIEW_JS_FUNCTION" CLOB(2G),
    "CHANGE_JS_FUNCTION" CLOB(2G),
    "COLLABORATION_JS_FUNCTION" CLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLZT32
;

CREATE LOB TABLESPACE WLP323
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW3_LOB
    IN @DB_NAME@.WLP323
    STORES BPM_COACH_VIEW COLUMN LAYOUT
;
CREATE UNIQUE INDEX BPM_COACH_VIEW3_I
    ON BPM_COACH_VIEW3_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLZ3213
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW13_LOB
    IN @DB_NAME@.WLZ3213
    STORES BPM_COACH_VIEW COLUMN LOAD_JS_FUNCTION
;
CREATE UNIQUE INDEX BPM_COACH_VIEW13_I
    ON BPM_COACH_VIEW13_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLP3214
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW14_LOB
    IN @DB_NAME@.WLP3214
    STORES BPM_COACH_VIEW COLUMN UNLOAD_JS_FUNCTION
;
CREATE UNIQUE INDEX BPM_COACH_VIEW14_I
    ON BPM_COACH_VIEW14_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLP3215
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW15_LOB
    IN @DB_NAME@.WLP3215
    STORES BPM_COACH_VIEW COLUMN VIEW_JS_FUNCTION
;
CREATE UNIQUE INDEX BPM_COACH_VIEW15_I
    ON BPM_COACH_VIEW15_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLP3216
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW16_LOB
    IN @DB_NAME@.WLP3216
    STORES BPM_COACH_VIEW COLUMN CHANGE_JS_FUNCTION
;
CREATE UNIQUE INDEX BPM_COACH_VIEW16_I
    ON BPM_COACH_VIEW16_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLP3217
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW17_LOB
    IN @DB_NAME@.WLP3217
    STORES BPM_COACH_VIEW COLUMN COLLABORATION_JS_FUNCTION
;
CREATE UNIQUE INDEX BPM_COACH_VIEW17_I
    ON BPM_COACH_VIEW17_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLP3219
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW19_LOB
    IN @DB_NAME@.WLP3219
    STORES BPM_COACH_VIEW COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_COACH_VIEW19_I
    ON BPM_COACH_VIEW19_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_CH_VIEW_PK
    ON BPM_COACH_VIEW
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_COACH_VIEW
    ADD CONSTRAINT BPM_CH_VIEW_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_CH_VIEW_PK3
    ON BPM_COACH_VIEW("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_CH_VIEW_PK4
    ON BPM_COACH_VIEW("NAME")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLZT34
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_COACH_VIEW_BINDING_TYPE (
    "COACH_VIEW_BINDING_TYPE_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "IS_LIST" CHAR(1),
    "CLASS_ID" CHAR(36),
    "SEQ" DECIMAL(12,0),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLZT34
;

CREATE LOB TABLESPACE WLZ347
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW_BINDING_TYPE7_LOB
    IN @DB_NAME@.WLZ347
    STORES BPM_COACH_VIEW_BINDING_TYPE COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_COACH_VIEW_BINDING_TYPE7_I
    ON BPM_COACH_VIEW_BINDING_TYPE7_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_VIEW_BIND_PK
    ON BPM_COACH_VIEW_BINDING_TYPE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_COACH_VIEW_BINDING_TYPE
    ADD CONSTRAINT BPM_VIEW_BIND_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_VIEW_BIND_PK3
    ON BPM_COACH_VIEW_BINDING_TYPE("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_VIEW_BIND_PK4
    ON BPM_COACH_VIEW_BINDING_TYPE("NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX IDX_VIEW_BIND 
    ON BPM_COACH_VIEW_BINDING_TYPE(
    "SEQ")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLZT35
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_COACH_VIEW_CONFIG_OPTION (
    "COACH_VIEW_CONFIG_OPTION_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "IS_LIST" CHAR(1),
    "PROPERTY_TYPE" VARCHAR(128),
    "LABEL" VARCHAR(128),
    "CLASS_ID" CHAR(36),
    "PROCESS_ID" CHAR(36),
    "SEQ" DECIMAL(12,0),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLZT35
;

CREATE LOB TABLESPACE WLPZ903
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW_CONFIG_OPTION11_LOB
    IN @DB_NAME@.WLPZ903
    STORES BPM_COACH_VIEW_CONFIG_OPTION COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_COACH_VIEW_CONFIG_OPTION11_I
    ON BPM_COACH_VIEW_CONFIG_OPTION11_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_VIEW_CONFIG_PK
    ON BPM_COACH_VIEW_CONFIG_OPTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_COACH_VIEW_CONFIG_OPTION
    ADD CONSTRAINT BPM_VIEW_CONFIG_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_VIEW_CONFIG_PK3
    ON BPM_COACH_VIEW_CONFIG_OPTION("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_VIEW_CONFIG_PK4
    ON BPM_COACH_VIEW_CONFIG_OPTION("NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX IDX_VIEW_CONFIG 
    ON BPM_COACH_VIEW_CONFIG_OPTION(
    "SEQ")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLZT36
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE8K@
;
CREATE TABLE BPM_COACH_VIEW_RESOURCE (
    "COACH_VIEW_RESOURCE_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "FILE_PATH" VARCHAR(510),
    "IE_CONDITION" VARCHAR(2048),
    "MEDIA_QUERY" VARCHAR(2048),
    "ASSET_UUID" CHAR(36),
    "SEQ" DECIMAL(12,0),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLZT36
;


CREATE UNIQUE INDEX BPM_VIEW_RES_PK
    ON BPM_COACH_VIEW_RESOURCE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_COACH_VIEW_RESOURCE
    ADD CONSTRAINT BPM_VIEW_RES_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_VIEW_RES_PK3
    ON BPM_COACH_VIEW_RESOURCE("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX IDX_VIEW_RES 
    ON BPM_COACH_VIEW_RESOURCE(
    "SEQ")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLZT37
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_COACH_VIEW_INLINE_SCRIPT (
    "COACH_VIEW_INLINE_SCRIPT_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "SCRIPT_TYPE" VARCHAR(128),
    "SCRIPT_BLOCK" CLOB(2G),
    "SEQ" DECIMAL(12,0),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLZT37
;

CREATE LOB TABLESPACE WLP374
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW_INLINE_SCRIPT4_LOB
    IN @DB_NAME@.WLP374
    STORES BPM_COACH_VIEW_INLINE_SCRIPT COLUMN SCRIPT_BLOCK
;
CREATE UNIQUE INDEX BPM_COACH_VIEW_INLINE_SCRIPT4_I
    ON BPM_COACH_VIEW_INLINE_SCRIPT4_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLP377
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW_INLINE_SCRIPT7_LOB
    IN @DB_NAME@.WLP377
    STORES BPM_COACH_VIEW_INLINE_SCRIPT COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_COACH_VIEW_INLINE_SCRIPT7_I
    ON BPM_COACH_VIEW_INLINE_SCRIPT7_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_VIEW_SCRIPT_PK
    ON BPM_COACH_VIEW_INLINE_SCRIPT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_COACH_VIEW_INLINE_SCRIPT
    ADD CONSTRAINT BPM_VIEW_SCRIPT_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_VIEW_SCRIPT_PK3
    ON BPM_COACH_VIEW_INLINE_SCRIPT("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_VIEW_SCRIPT_PK4
    ON BPM_COACH_VIEW_INLINE_SCRIPT("NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX IDX_VIEW_SCRIPT 
    ON BPM_COACH_VIEW_INLINE_SCRIPT(
    "SEQ")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLZT39
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_COACHNG (
    "COACHNG_ID" CHAR(36) NOT NULL,
    "TITLE" VARCHAR(128),
    "LAYOUT_DATA" BLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLZT39
;

CREATE LOB TABLESPACE WLP393
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACHNG3_LOB
    IN @DB_NAME@.WLP393
    STORES BPM_COACHNG COLUMN LAYOUT_DATA
;
CREATE UNIQUE INDEX BPM_COACHNG3_I
    ON BPM_COACHNG3_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_COACHNG_PK
    ON BPM_COACHNG
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_COACHNG
    ADD CONSTRAINT BPM_COACHNG_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_COACHNG_PK3
    ON BPM_COACHNG("GUID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLZT40
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_COACHNG_BOUNDARY_EVENT (
    "COACHNG_BOUNDARY_EVENT_ID" CHAR(36) NOT NULL,
    "COACHNG_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "END_STATE_ID" VARCHAR(256) NOT NULL,
    "EVENT_LABEL" CLOB(2G),
    "VIEW_PATH" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLZT40
;

CREATE LOB TABLESPACE WLP405
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACHNG_BOUNDARY_EVENT5_LOB
    IN @DB_NAME@.WLP405
    STORES BPM_COACHNG_BOUNDARY_EVENT COLUMN EVENT_LABEL
;
CREATE UNIQUE INDEX BPM_COACHNG_BOUNDARY_EVENT5_I
    ON BPM_COACHNG_BOUNDARY_EVENT5_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLP406
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACHNG_BOUNDARY_EVENT6_LOB
    IN @DB_NAME@.WLP406
    STORES BPM_COACHNG_BOUNDARY_EVENT COLUMN VIEW_PATH
;
CREATE UNIQUE INDEX BPM_COACHNG_BOUNDARY_EVENT6_I
    ON BPM_COACHNG_BOUNDARY_EVENT6_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_COACHNG_BE_PK
    ON BPM_COACHNG_BOUNDARY_EVENT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_COACHNG_BOUNDARY_EVENT
    ADD CONSTRAINT BPM_COACHNG_BE_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_COACHNG_BE_PK3
    ON BPM_COACHNG_BOUNDARY_EVENT("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX IDX_COACHNG_BE 
    ON BPM_COACHNG_BOUNDARY_EVENT(
    "COACHNG_ID",
    "SEQ")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLZT33
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_COACH_VIEW_LOCAL_RES (
    "COACH_VIEW_LOCAL_RES_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLZT33
;


CREATE UNIQUE INDEX BPM_VIEW_LOC_PK
    ON BPM_COACH_VIEW_LOCAL_RES
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_COACH_VIEW_LOCAL_RES
    ADD CONSTRAINT BPM_VIEW_LOC_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_VIEW_LOC_PK3
    ON BPM_COACH_VIEW_LOCAL_RES("GUID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLZT38
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_COACH_VIEW_AMD_DEP (
    "COACH_VIEW_AMD_DEP_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "MODULE_ID" VARCHAR(2048),
    "FUNCTION_ARGUMENT" VARCHAR(510),
    "SEQ" DECIMAL(12,0),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLZT38
;


CREATE UNIQUE INDEX BPM_VIEW_AMD_PK
    ON BPM_COACH_VIEW_AMD_DEP
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_COACH_VIEW_AMD_DEP
    ADD CONSTRAINT BPM_VIEW_AMD_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_VIEW_AMD_PK3
    ON BPM_COACH_VIEW_AMD_DEP("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX IDX_VIEW_AMD 
    ON BPM_COACH_VIEW_AMD_DEP(
    "SEQ")
    USING STOGROUP @STOGRP@

;

INSERT INTO LSW_TASK_STATUS_CODES("STATUS_ID", "NAME", "STATUS_VALUE")
    VALUES(16, 'Tagged', '71')
;
INSERT INTO LSW_TASK_STATUS_CODES("STATUS_ID", "NAME", "STATUS_VALUE")
    VALUES(17, 'Collaboration', '72')
;
						
CREATE TABLESPACE WLPT204
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_PROJECT_SUBSCRIPTION (
    "PROJECT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
    "REGISTRATION_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "SUBSCRIBED_BY" DECIMAL(12,0) NOT NULL,
    "SUBSCRIBED_ON" TIMESTAMP NOT NULL,
    "STATUS" VARCHAR(128),
    "ACTIVE" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "SHARED_BY_USER_ID" VARCHAR(512),
    "SHARED_ON" TIMESTAMP,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT204
;


CREATE UNIQUE INDEX BPM_PROJECT_SUBSCRIPTION_PK
    ON BPM_PROJECT_SUBSCRIPTION
    ("PROJECT_SUBSCRIPTION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_PROJECT_SUBSCRIPTION
    ADD CONSTRAINT BPM_PROJECT_SUBSCRIPTION_PK
    PRIMARY KEY(
       "PROJECT_SUBSCRIPTION_ID")

;

CREATE UNIQUE INDEX PROJECT_ID_UQ
    ON BPM_PROJECT_SUBSCRIPTION(
        "PROJECT_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPT205
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_PROJECT_SUBSCRIBED (
    "PROJECT_SUBSCRIBED_ID" CHAR(36) NOT NULL,
    "REGISTRATION_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "SUBSCRIBED_BY" VARCHAR(512) NOT NULL,
    "SUBSCRIBED_ON" TIMESTAMP NOT NULL,
    "LAST_MODIFICATION" TIMESTAMP
)
IN @DB_NAME@.WLPT205
;


CREATE UNIQUE INDEX BPM_PROJECT_SUBSCRIBED_PK
    ON BPM_PROJECT_SUBSCRIBED
    ("PROJECT_SUBSCRIBED_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_PROJECT_SUBSCRIBED
    ADD CONSTRAINT BPM_PROJECT_SUBSCRIBED_PK
    PRIMARY KEY(
       "PROJECT_SUBSCRIBED_ID")

;

ALTER  TABLE LSW_TASK 
ADD 
    "EXPERT_PARTICIPANT_REF" DECIMAL(19,0)
;


ALTER TABLE LSW_SNAPSHOT ADD "LAST_MODIFIED" TIMESTAMP
    NOT NULL WITH DEFAULT
;
						
ALTER  TABLE LSW_SNAPSHOT 
ADD 
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0)
        DEFAULT 1 NOT NULL
;



ALTER  TABLE LSW_TASK 
ADD 
    "AT_RISK_DATE" TIMESTAMP
;


ALTER  TABLE LSW_CLASS 
ADD 
    "SHARED" CHAR(1)
;


CREATE TABLESPACE WLPT206
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_USR_AVATAR (
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "USER_AVATAR_IMAGE" BLOB(2G)
)
IN @DB_NAME@.WLPT206
;

CREATE LOB TABLESPACE WLP2062
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_USR_AVATAR2_LOB
    IN @DB_NAME@.WLP2062
    STORES BPM_USR_AVATAR COLUMN USER_AVATAR_IMAGE
;
CREATE UNIQUE INDEX BPM_USR_AVATAR2_I
    ON BPM_USR_AVATAR2_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX LSWC_USR_AVATAR_PK
    ON BPM_USR_AVATAR
    ("USER_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_USR_AVATAR
    ADD CONSTRAINT LSWC_USR_AVATAR_PK
    PRIMARY KEY(
       "USER_ID")

;

ALTER TABLE BPM_USR_AVATAR
    ADD CONSTRAINT LSWC_USR_AVATAR_FK
	FOREIGN KEY("USER_ID")
	REFERENCES LSW_USR_XREF("USER_ID")
	
;

CREATE TABLESPACE WLPT209
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_TASK_ACTIVITY_MEASURES (
    "TASK_MEASURES_ID" DECIMAL(15,0) NOT NULL,
    "CREATED_BY_BPD_FLOW_OBJECT_ID" VARCHAR(1024) NOT NULL,
    "USER_ID" DECIMAL(12,0),
    "COMPLETION_COUNT" DECIMAL(8,0) NOT NULL,
    "AVG_COMPLETION_TIME" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT209
;


CREATE UNIQUE INDEX TASK_MEASURES_PK
    ON BPM_TASK_ACTIVITY_MEASURES
    ("TASK_MEASURES_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_TASK_ACTIVITY_MEASURES
    ADD CONSTRAINT TASK_MEASURES_PK
    PRIMARY KEY(
       "TASK_MEASURES_ID")

;

CREATE UNIQUE INDEX TASK_MEASURES_UC
    ON BPM_TASK_ACTIVITY_MEASURES(
        "CREATED_BY_BPD_FLOW_OBJECT_ID",
        "USER_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE LSW_SERVER 
ADD 
    "IS_ENCRYPTED" CHAR(1)
        DEFAULT '0'
;


ALTER TABLE LSW_SERVER ALTER "PASSWORD" SET DATA TYPE VARCHAR(500)
;

CREATE TABLESPACE WLPT207
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_OSLC_PROVIDER (
    "PROVIDER_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(512),
    "URL" VARCHAR(2048) NOT NULL,
    "DATA" CLOB(2G),
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT207
;

CREATE LOB TABLESPACE WLP2074
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_OSLC_PROVIDER4_LOB
    IN @DB_NAME@.WLP2074
    STORES BPM_OSLC_PROVIDER COLUMN DATA
;
CREATE UNIQUE INDEX BPM_OSLC_PROVIDER4_I
    ON BPM_OSLC_PROVIDER4_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX LSWC_OSLC_PROVIDER
    ON BPM_OSLC_PROVIDER
    ("PROVIDER_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_OSLC_PROVIDER
    ADD CONSTRAINT LSWC_OSLC_PROVIDER
    PRIMARY KEY(
       "PROVIDER_ID")

;

CREATE INDEX LSWC_OSLC_PROVIDER4
    ON BPM_OSLC_PROVIDER("NAME")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPT210
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_PC_IDX_ACTION (
    "ACTION_ID" CHAR(36) NOT NULL,
    "PO_ID" CHAR(36) NOT NULL,
    "PO_TYPE" DECIMAL(8,0) NOT NULL,
    "USER_ACTION" DECIMAL(8,0) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT210
;


CREATE UNIQUE INDEX BPM_PC_IDX_ACTION_PK
    ON BPM_PC_IDX_ACTION
    ("ACTION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_PC_IDX_ACTION
    ADD CONSTRAINT BPM_PC_IDX_ACTION_PK
    PRIMARY KEY(
       "ACTION_ID")

;

CREATE TABLESPACE WLPT208
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_TASK_MARKERS (
    "MARKER_ID" DECIMAL(12,0) NOT NULL,
    "TASK_ID" DECIMAL(12,0),
    "MARKER_TYPE" DECIMAL(12,0) NOT NULL,
    "CREATOR" DECIMAL(12,0) NOT NULL,
    "TARGET_USER" DECIMAL(12,0) NOT NULL,
    "MARKER_COMMENT" BLOB(2G),
    "CREATED_DATE" TIMESTAMP NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0)
)
IN @DB_NAME@.WLPT208
;

CREATE LOB TABLESPACE WLP2086
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_TASK_MARKERS6_LOB
    IN @DB_NAME@.WLP2086
    STORES BPM_TASK_MARKERS COLUMN MARKER_COMMENT
;
CREATE UNIQUE INDEX BPM_TASK_MARKERS6_I
    ON BPM_TASK_MARKERS6_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPMC_TASK_MARKERS
    ON BPM_TASK_MARKERS
    ("MARKER_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_TASK_MARKERS
    ADD CONSTRAINT BPMC_TASK_MARKERS
    PRIMARY KEY(
       "MARKER_ID")

;

ALTER TABLE BPM_TASK_MARKERS
    ADD CONSTRAINT BPMC_MARKER_TO_TASK_ID_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES LSW_TASK("TASK_ID")
	ON DELETE CASCADE
;

ALTER TABLE BPM_TASK_MARKERS
    ADD CONSTRAINT BPMC_MARKER_TO_BPD_ID_FK
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
;

CREATE TABLESPACE SCHSHTS
 IN @DB_NAME@
 USING STOGROUP @STOGRP@
 CCSID UNICODE
 DEFINE NO
 SEGSIZE 32
 LOCKSIZE ANY
 BUFFERPOOL @BPTABLE4K@
;
CREATE LOB TABLESPACE SCHSHLB1
 IN @DB_NAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL @BPLOB4K@
;
CREATE TABLE BPM_PCS_TASK
(
  TASKID           NUMERIC(19)    NOT NULL , 
  VERSION          VARCHAR(5)     NOT NULL , 
  ROW_VERSION      INTEGER        NOT NULL , 
  TASKTYPE         INTEGER        NOT NULL , 
  TASKSUSPENDED    SMALLINT       NOT NULL , 
  CANCELLED        SMALLINT       NOT NULL , 
  NEXTFIRETIME     NUMERIC(19)    NOT NULL , 
  STARTBYINTERVAL  VARCHAR(254)    , 
  STARTBYTIME      NUMERIC(19)     , 
  VALIDFROMTIME    NUMERIC(19)     , 
  VALIDTOTIME      NUMERIC(19)     , 
  REPEATINTERVAL   VARCHAR(254)    , 
  MAXREPEATS       INTEGER        NOT NULL , 
  REPEATSLEFT      INTEGER        NOT NULL , 
  TASKINFO         BLOB(102400)    , 
  NAME             VARCHAR(254)   NOT NULL ,
  AUTOPURGE        INTEGER        NOT NULL , 
  FAILUREACTION    INTEGER         , 
  MAXATTEMPTS      INTEGER         , 
  QOS              INTEGER         , 
  PARTITIONID      INTEGER         ,
  OWNERTOKEN       VARCHAR(200)   NOT NULL ,
  CREATETIME       NUMERIC(19)    NOT NULL , 
  ROW_ID           ROWID          NOT NULL GENERATED ALWAYS,
  PRIMARY KEY ( TASKID )
)
IN @DB_NAME@.SCHSHTS
;

CREATE UNIQUE INDEX BPM_PCS_TASKPK 
   ON BPM_PCS_TASK
( 
TASKID
) 
USING STOGROUP @STOGRP@
;

CREATE INDEX BPM_PCS_TASK_IDX1
  ON BPM_PCS_TASK
(
TASKID,OWNERTOKEN
)
USING STOGROUP @STOGRP@
; 

CREATE INDEX BPM_PCS_TASK_IDX2
  ON BPM_PCS_TASK
(
NEXTFIRETIME ASC, REPEATSLEFT, PARTITIONID
)
USING STOGROUP @STOGRP@
;

CREATE AUX TABLE BPM_PCS_TASK1
   IN @DB_NAME@.SCHSHLB1
   STORES  BPM_PCS_TASK COLUMN TASKINFO
;
CREATE UNIQUE INDEX BPM_PCS_TASK1I ON BPM_PCS_TASK1
   USING STOGROUP @STOGRP@
;

CREATE TABLE BPM_PCS_TREG
(
REGKEY                       VARCHAR(254)         NOT NULL ,
REGVALUE                     VARCHAR(254)         ,
PRIMARY KEY ( REGKEY )
)
 IN @DB_NAME@.SCHSHTS
;

CREATE UNIQUE INDEX BPM_PCS_TREGPK 
   ON BPM_PCS_TREG
( 
REGKEY
) 
USING STOGROUP @STOGRP@
;

CREATE TABLE BPM_PCS_LMGR
(
LEASENAME                         VARCHAR(254) NOT NULL,
LEASEOWNER                        VARCHAR(254) NOT NULL,
LEASE_EXPIRE_TIME                 NUMERIC(19),
DISABLED                          VARCHAR(5),
PRIMARY KEY ( LEASENAME )
)
 IN @DB_NAME@.SCHSHTS
;


CREATE UNIQUE INDEX BPM_PCS_LMGR_IDX1 ON BPM_PCS_LMGR
(
LEASENAME
)
USING STOGROUP @STOGRP@
;

CREATE TABLE BPM_PCS_LMPR
(
LEASENAME                         VARCHAR(254) NOT NULL,
NAME                              VARCHAR(254) NOT NULL,
VALUE                             VARCHAR(254) NOT NULL
)
 IN @DB_NAME@.SCHSHTS
;

CREATE INDEX BPM_PCS_LMPR_IDX1 ON BPM_PCS_LMPR
(
LEASENAME
)
USING STOGROUP @STOGRP@
;							
						
CREATE TABLESPACE WLPT211
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_PC_INDEXER (
    "INDEXER_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "LAST_INDEXED_ON" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT211
;

CREATE LOB TABLESPACE WLP2114
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_PC_INDEXER4_LOB
    IN @DB_NAME@.WLP2114
    STORES BPM_PC_INDEXER COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_PC_INDEXER4_I
    ON BPM_PC_INDEXER4_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_PC_IDEXER_PK
    ON BPM_PC_INDEXER
    ("INDEXER_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_PC_INDEXER
    ADD CONSTRAINT BPM_PC_IDEXER_PK
    PRIMARY KEY(
       "INDEXER_ID")

;

CREATE UNIQUE INDEX BPM_PC_IDEXER_UQ
    ON BPM_PC_INDEXER(
        "NAME")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE LSW_EXCEPTION 
ADD 
    "ATTACHED_PROCESS_REF" CHAR(36)
;

ALTER  TABLE LSW_EXCEPTION 
ADD 
    "FAULT_STYLE" DECIMAL(2,0)
;



ALTER  TABLE LSW_RUNTIME_ERROR 
ADD 
    "ERROR_CODE" VARCHAR(440)
;

ALTER  TABLE LSW_RUNTIME_ERROR 
ADD 
    "ERROR_DATA" BLOB(2G)
;

CREATE LOB TABLESPACE WLP15217
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_RUNTIME_ERROR17_LOB
    IN @DB_NAME@.WLP15217
    STORES LSW_RUNTIME_ERROR COLUMN ERROR_DATA
;
CREATE UNIQUE INDEX LSW_RUNTIME_ERROR17_I
    ON LSW_RUNTIME_ERROR17_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE LSW_RUNTIME_ERROR 
ADD 
    "FAULT_STYLE" DECIMAL(2,0)
        DEFAULT 0 NOT NULL
;




CREATE TABLESPACE WLZT53
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_STORED_SYMBOL_TABLE (
    "SYMBOL_TABLE_ID" CHAR(36) NOT NULL,
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "STORED_SYMBOL_TABLE" BLOB(2G)
)
IN @DB_NAME@.WLZT53
;

CREATE LOB TABLESPACE WLP533
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_STORED_SYMBOL_TABLE3_LOB
    IN @DB_NAME@.WLP533
    STORES LSW_STORED_SYMBOL_TABLE COLUMN STORED_SYMBOL_TABLE
;
CREATE UNIQUE INDEX LSW_STORED_SYMBOL_TABLE3_I
    ON LSW_STORED_SYMBOL_TABLE3_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX LSWC_STORED_SYMBOL_PK
    ON LSW_STORED_SYMBOL_TABLE
    ("SYMBOL_TABLE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_STORED_SYMBOL_TABLE
    ADD CONSTRAINT LSWC_STORED_SYMBOL_PK
    PRIMARY KEY(
       "SYMBOL_TABLE_ID")

;

ALTER TABLE LSW_STORED_SYMBOL_TABLE
    ADD CONSTRAINT LSWC_T_SYM_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES LSW_TASK("TASK_ID")
	ON DELETE CASCADE
;

CREATE UNIQUE INDEX LSWC_T_SYM_TASK
    ON LSW_STORED_SYMBOL_TABLE(
        "TASK_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLZT18
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_ECM_CONNECTOR (
    "ECM_CONNECTOR_ID" CHAR(36) NOT NULL,
    "DEFINITION" BLOB(2G) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLZT18
;

CREATE LOB TABLESPACE WLZ182
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_ECM_CONNECTOR2_LOB
    IN @DB_NAME@.WLZ182
    STORES BPM_ECM_CONNECTOR COLUMN DEFINITION
;
CREATE UNIQUE INDEX BPM_ECM_CONNECTOR2_I
    ON BPM_ECM_CONNECTOR2_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPMC_ECNTR_PK
    ON BPM_ECM_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_ECM_CONNECTOR
    ADD CONSTRAINT BPMC_ECNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPMC_ECNTR_PK3
    ON BPM_ECM_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE LSW_CLASS 
ADD 
    "LIFETIME" CHAR(1)
;


CREATE TABLESPACE WLPT212
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_BPD_SOAPHEADER (
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT212
;

CREATE LOB TABLESPACE WLP2122
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_BPD_SOAPHEADER2_LOB
    IN @DB_NAME@.WLP2122
    STORES BPM_BPD_SOAPHEADER COLUMN DATA
;
CREATE UNIQUE INDEX BPM_BPD_SOAPHEADER2_I
    ON BPM_BPD_SOAPHEADER2_LOB
    USING STOGROUP @STOGRP@
;
        

ALTER TABLE BPM_BPD_SOAPHEADER
    ADD CONSTRAINT BPMC_BPD_SOAP_FK0
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	
;

CREATE UNIQUE INDEX BPMC_BPD_SOAP_UQ
    ON BPM_BPD_SOAPHEADER(
        "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;
						
INSERT INTO LSW_LOCK("LOCK_ID", "DESCRIPTION")
    VALUES('LOG_ADD_LOCK_KEY', 
    'Lock required for adding logs to bpm_repository_log 
and updating timestamp in bpm_project_subscription ')
						
;

ALTER TABLE LSW_USR_GRP_XREF
  ALTER "GROUP_NAME" SET DATA TYPE VARCHAR(512)
;
ALTER TABLE LSW_USR_GRP_XREF
  ALTER "DISPLAY_NAME" SET DATA TYPE VARCHAR(512)
;
						
ALTER  TABLE LSW_TASK_NARR 
ADD 
    "NARRATIVE_RAW" BLOB(2G)
;

CREATE LOB TABLESPACE WLP455
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE LSW_TASK_NARR5_LOB
    IN @DB_NAME@.WLP455
    STORES LSW_TASK_NARR COLUMN NARRATIVE_RAW
;
CREATE UNIQUE INDEX LSW_TASK_NARR5_I
    ON LSW_TASK_NARR5_LOB
    USING STOGROUP @STOGRP@
;
        

UPDATE LSW_SAVED_SEARCHES SET QUERY=
'<?xml version="1.0" encoding="UTF-8"?>
<query organization="byTask"  first-sort=""
 second-sort=""> <constraints /> <results>
 <column name="taskSubject" column-type="task"/>
 <column name="taskNarrative" column-type="task"/>
 <column name="taskDueDate" column-type="task"/>
 <column name="taskReceivedDate" column-type="task"/>
 <column name="taskPriority" column-type="task"/>
 <column name="taskStatus" column-type="task"/>
 <column name="taskReceivedFrom" column-type="task"/>
 <column name="taskClosedDate" column-type="task"/>
 <column name="assignedToUser" column-type="task"/>
 <column name="assignedToRoleDisplayName" column-type="task"/>
 <column name="taskActivityName" column-type="task"/>
 <column name="taskId" column-type="task"/>
 <column name="taskAtRiskTime" column-type="task"/>
 <column name="taskIsAtRisk" column-type="task"/>
 <column name="instanceId" column-type="instance"/>
 <column name="instanceName" column-type="instance"/>
 <column name="bpdId" column-type="instance"/>
 <column name="instanceProcessApp" column-type="instance"/>
 <column name="instanceSnapshot" column-type="instance"/>
 <column name="instanceSnapshotId" column-type="instance"/>
 </results> </query>' WHERE SEARCH_NAME='IBM.DEFAULTALLTASKSLIST_75';
						
						
ALTER TABLE LSW_SYSTEM DROP CONSTRAINT LSWC_SYSTEM_PK
;
DROP INDEX LSWC_SYSTEM_PK
;
RENAME TABLE LSW_SYSTEM TO LSW_SYSTEM_COPY
;
CREATE TABLE LSW_SYSTEM (
"PROPKEY" VARCHAR( 512) NOT NULL,
"PROPVALUE" VARCHAR( 512) NOT NULL
)
IN @DB_NAME@.WLPT177
;
INSERT INTO LSW_SYSTEM (SELECT * FROM LSW_SYSTEM_COPY)
;
DROP TABLE LSW_SYSTEM_COPY
;
COMMIT
;
CREATE UNIQUE INDEX LSWC_SYSTEM_PK
ON LSW_SYSTEM
("PROPKEY")
USING STOGROUP @STOGRP@
;
ALTER TABLE LSW_SYSTEM
ADD CONSTRAINT LSWC_SYSTEM_PK
PRIMARY KEY(
   "PROPKEY")
;
						

CREATE INDEX IDX9_LSW_TASK 
    ON LSW_TASK(
    "BPD_INSTANCE_ID",
    "TASK_ID",
    "CREATED_BY_BPD_FLOW_OBJECT_ID",
    "STATUS")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPT213
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_TASK_INDEX (
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "MAJOR_EVENT_DATETIME" TIMESTAMP,
    "MINOR_EVENT_DATETIME" TIMESTAMP,
    "TASK_DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT213
;

CREATE LOB TABLESPACE WLP2134
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_TASK_INDEX4_LOB
    IN @DB_NAME@.WLP2134
    STORES BPM_TASK_INDEX COLUMN TASK_DATA
;
CREATE UNIQUE INDEX BPM_TASK_INDEX4_I
    ON BPM_TASK_INDEX4_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_TASK_INDEX_PK
    ON BPM_TASK_INDEX
    ("TASK_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_TASK_INDEX
    ADD CONSTRAINT BPM_TASK_INDEX_PK
    PRIMARY KEY(
       "TASK_ID")

;

ALTER TABLE BPM_TASK_INDEX
    ADD CONSTRAINT BPM_TASK_INDEX_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES LSW_TASK("TASK_ID")
	ON DELETE CASCADE
;

CREATE INDEX BPM_TASK_INDEX_IDX 
    ON BPM_TASK_INDEX(
    "MAJOR_EVENT_DATETIME",
    "TASK_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPT214
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_TASK_INDEX_JOB (
    "INDEX_ID" CHAR(36) NOT NULL,
    "INDEX_START_TIME" TIMESTAMP NOT NULL,
    "INDEX_END_TIME" TIMESTAMP,
    "RECORDS_INDEXED" DECIMAL(12,0),
    "RESULT_VALUE" VARCHAR(512)
)
IN @DB_NAME@.WLPT214
;


CREATE UNIQUE INDEX BPM_TASK_INDEX_JOB_PK
    ON BPM_TASK_INDEX_JOB
    ("INDEX_ID","INDEX_START_TIME")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_TASK_INDEX_JOB
    ADD CONSTRAINT BPM_TASK_INDEX_JOB_PK
    PRIMARY KEY(
       "INDEX_ID",
       "INDEX_START_TIME")

;


CREATE INDEX IDX1_BPM_TASK_MARKERS 
    ON BPM_TASK_MARKERS(
    "TARGET_USER",
    "MARKER_TYPE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX IDX2_BPM_TASK_MARKERS 
    ON BPM_TASK_MARKERS(
    "TASK_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX BPM_IDX3_NODE 
    ON BPM_CONTRIBUTION(
    "FILENAME")
    USING STOGROUP @STOGRP@

;

                            DROP INDEX IDX_PO_VERSIONS;
                        	DROP INDEX IDX2_PO_VERSIONS;
                        	DROP INDEX IDX3_PO_VERSIONS;
                        	DROP INDEX IDX4_PO_VERSIONS;
                        	DROP INDEX IDX5_PO_VERSIONS;
                        	DROP INDEX IDX6_PO_VERSIONS;
                        	DROP INDEX IDX7_PO_VERSIONS;
                        
						COMMIT
						;
						

CREATE INDEX IDX_PO_VERSIONS 
    ON LSW_PO_VERSIONS(
    "PO_TYPE",
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM",
    "PO_VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX IDX2_PO_VERSIONS 
    ON LSW_PO_VERSIONS(
    "BRANCH_ID",
    "END_SEQ_NUM")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX LSWC_UXREF_UQ2
    ON LSW_USR_XREF(
        "USER_ID",
        "USER_NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX LSWC_TASK_STATUS_INDEX1 
    ON LSW_TASK_STATUS_CODES(
    "NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX LSWC_TASK_STATUS_INDEX2 
    ON LSW_TASK_STATUS_CODES(
    "STATUS_VALUE")
    USING STOGROUP @STOGRP@

;

                        	DROP INDEX LSWC_SNPSHT_ID_NUQ
                    	
;


CREATE INDEX INDEX1_LSW_BPD_INST 
    ON LSW_BPD_INSTANCE(
    "SNAPSHOT_ID",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX INDEX2_LSW_BPD_INST 
    ON LSW_BPD_INSTANCE(
    "EXECUTION_STATUS",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX INDEX3_LSW_BPD_INST 
    ON LSW_BPD_INSTANCE(
    "BPD_INSTANCE_ID",
    "EXECUTION_STATUS",
    "CACHED_BPD_VERSION_ID")
    USING STOGROUP @STOGRP@

;

							DROP PROCEDURE LSW_HOUSE_KEEPING;
							DROP PROCEDURE LSW_ERASE_TASK;
						
CREATE PROCEDURE LSW_HOUSE_KEEPING(IN modeHK DECIMAL(12,0))
LANGUAGE SQL

MAIN:
BEGIN

DECLARE statuses VARCHAR(64);
DECLARE sqlCmd VARCHAR(4000);
DECLARE flgStatusNotExist CHAR(1);
DECLARE flgDelete CHAR(1);
DECLARE rootTaskId DECIMAL(12,0);
DECLARE taskId DECIMAL(12,0);
DECLARE taskStatus VARCHAR(2);
DECLARE at_end DECIMAL(1,0);
DECLARE not_found CONDITION for SQLSTATE '02000';
DECLARE CONTINUE HANDLER for not_found SET at_end = 1;

IF (modeHK = 1) THEN
  DELETE FROM LSW_TASK_FILE WHERE TASK_ID IN
    (SELECT TASK_ID FROM LSW_TASK WHERE STATUS IN ('91','92'));
  DELETE FROM LSW_FILE WHERE FILE_ID NOT IN
    (SELECT FILE_ID FROM LSW_TASK_FILE) OR FILE_ID NOT IN
 (SELECT FILE_ID FROM LSW_TASK,LSW_TASK_FILE WHERE
   LSW_TASK.TASK_ID = LSW_TASK_FILE.TASK_ID);

  DELETE FROM LSW_TASK_FILE WHERE FILE_ID NOT IN
   (SELECT FILE_ID FROM LSW_FILE) OR TASK_ID NOT IN
   (SELECT LSW_TASK.TASK_ID FROM LSW_TASK,LSW_TASK_FILE
   WHERE LSW_TASK.TASK_ID = LSW_TASK_FILE.TASK_ID);

  DELETE FROM LSW_USR_GRP_MEM_XREF WHERE GROUP_ID IN
    (SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g
    WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t
	WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);

  DELETE FROM LSW_USR_GRP_XREF WHERE GROUP_ID IN
    (SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g
    WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t
    WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);

ELSEIF (modeHK > 1) THEN

  SET statuses = '';
  IF (modeHK >= 2) THEN
SET statuses = '''91'',''92''';
  END IF;
  IF (modeHK >= 3) THEN
SET statuses = statuses || ',''21''';
  END IF;
  IF (modeHK >= 4) THEN
SET statuses = statuses || ',''31'',''32''';
  END IF;

  DECLARE GLOBAL TEMPORARY TABLE TEMP_DELETE_TASK (
  TASK_ID DECIMAL(12,0) NOT NULL
  );

  BEGIN
  DECLARE curAllRootTasks CURSOR FOR stmt1;
  SET sqlCmd = 'SELECT DISTINCT ORIG_TASK_ID FROM LSW_TASK';
  PREPARE stmt1 FROM sqlCmd;
  OPEN curAllRootTasks;
  MAIN_LOOP:
  LOOP
SET at_end = 0;
FETCH curAllRootTasks INTO rootTaskId;
IF (at_end = 1) THEN
  LEAVE MAIN_LOOP;
END IF;

SET flgDelete = 'T';
BEGIN
DECLARE curRootTask CURSOR FOR stmt2;
SET sqlCmd = 'SELECT TASK_ID, STATUS ' ||
 'FROM LSW_TASK WHERE ORIG_TASK_ID = ?';
PREPARE stmt2 FROM sqlCmd;
OPEN curRootTask USING rootTaskId;
ROOT_TASK_LOOP:
LOOP
  SET at_end = 0;
  FETCH curRootTask INTO taskId, taskStatus;
  IF (at_end = 1) THEN
LEAVE ROOT_TASK_LOOP;
  END IF;

  SET flgStatusNotExist = 'F';
  BEGIN
  DECLARE curStatusNotExist CURSOR FOR stmt3;
  SET sqlCmd = 'SELECT ''T'' FROM SYSIBM.SYSDUMMY1 ' ||
'WHERE ? NOT IN (' || statuses || ')';
  PREPARE stmt3 FROM sqlCmd;
  OPEN curStatusNotExist USING taskStatus;
  FETCH curStatusNotExist INTO flgStatusNotExist;
  CLOSE curStatusNotExist;
  END;

  IF (flgStatusNotExist = 'T') THEN
SET flgDelete = 'F';
LEAVE ROOT_TASK_LOOP;
  END IF;

  INSERT INTO SESSION.TEMP_DELETE_TASK VALUES (taskId);

END LOOP;

CLOSE curRootTask;

IF (flgDelete = 'T') THEN
  BEGIN
  DECLARE curDeleteTask CURSOR FOR stmt4;
  SET sqlCmd = 'SELECT TASK_ID FROM SESSION.TEMP_DELETE_TASK';
  PREPARE stmt4 FROM sqlCmd;
  OPEN curDeleteTask;
  SET at_end = 0;
  DELETE_TASK_LOOP:
  LOOP
SET at_end = 0;
FETCH curDeleteTask INTO taskId;
IF (at_end = 1) THEN
  LEAVE DELETE_TASK_LOOP;
END IF;
DELETE FROM LSW_TASK_NARR WHERE TASK_ID = taskId;
DELETE FROM LSW_TASK_FILE WHERE TASK_ID = taskId;
DELETE FROM LSW_TASK_ADDR WHERE TASK_ID = taskId;
DELETE FROM LSW_TASK_EXECUTION_CONTEXT WHERE TASK_ID = taskId;
DELETE FROM LSW_TASK WHERE TASK_ID = taskId;
  END LOOP;
  CLOSE curDeleteTask;
  END;
END IF;

DELETE FROM SESSION.TEMP_DELETE_TASK;

END;

  END LOOP;

  CLOSE curAllRootTasks;

  END;

  DROP TABLE SESSION.TEMP_DELETE_TASK;

  DELETE FROM LSW_FILE
   WHERE FILE_ID NOT IN (SELECT FILE_ID FROM LSW_TASK_FILE);

  DELETE FROM LSW_USR_GRP_MEM_XREF WHERE GROUP_ID IN (
SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g
 WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t
WHERE g.GROUP_ID = ABS(t.GROUP_ID))
  AND g.GROUP_TYPE = 2);

  DELETE FROM LSW_USR_GRP_XREF WHERE GROUP_ID IN (
SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g
 WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t
WHERE g.GROUP_ID = ABS(t.GROUP_ID))
  AND g.GROUP_TYPE = 2);

END IF;

END@

CREATE PROCEDURE LSW_ERASE_TASK(IN taskId DECIMAL(12,0))
LANGUAGE SQL

  BEGIN
DELETE FROM LSW_TASK_ADDR WHERE TASK_ID = taskId;
DELETE FROM LSW_TASK_EXECUTION_CONTEXT WHERE TASK_ID = taskId;
DELETE FROM LSW_TASK_NARR WHERE TASK_ID = taskId;
DELETE FROM LSW_TASK_FILE WHERE TASK_ID = taskId;
DELETE FROM LSW_TASK_IPF_DATA WHERE TASK_ID = taskId;
DELETE FROM LSW_TASK_EXTACT_DATA WHERE TASK_ID = taskId;
DELETE FROM LSW_TASK WHERE TASK_ID = taskId;

  DELETE FROM LSW_USR_GRP_MEM_XREF WHERE GROUP_ID IN (
SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g
 WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t
WHERE g.GROUP_ID = ABS(t.GROUP_ID))
  AND g.GROUP_TYPE = 2);

  DELETE FROM LSW_USR_GRP_XREF WHERE GROUP_ID IN (
SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g
 WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t
WHERE g.GROUP_ID = ABS(t.GROUP_ID))
  AND g.GROUP_TYPE = 2);

  END@
						
INSERT INTO LSW_PROJECT (PROJECT_ID, CREATED_BY_USER_ID, CREATED_ON,
  LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, DESCRIPTION,
  SHORT_NAME, IS_TOOLKIT, IS_BRANCHING_ENABLED, IS_HIDDEN)
  VALUES ('dbecd816-afed-47b0-ba92-c13256fcb566', 1,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'), 1,
  'System Governance', 'IBM BPM Governance Data and Services',
  'TWSYSG', 'T', 'F', 'F')
;
INSERT INTO LSW_BRANCH(BRANCH_ID, CREATED_BY_USER_ID, CREATED_ON,
  LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, ACRONYM, DESCRIPTION,
  TIP_SNAPSHOT_ID, TIP_SEQ_NUM, PROJECT_ID, IS_DEFAULT)
  VALUES ('f757be35-ebca-4e58-a85c-6b34f3c15149', 1,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'), 1,
  'Main', 'Main', 'The main branch of the TWSYSG project',
  '8b0bdb20-6dd1-4357-945a-4cdf0cbd020d', 256,
  'dbecd816-afed-47b0-ba92-c13256fcb566', 'T')
;
						
INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
  VALUES(7, 3, 2066, 'dbecd816-afed-47b0-ba92-c13256fcb566', 127)
;
INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
  VALUES(8, 3, 2066, 'b691179d-e7a4-4a27-b89b-f2263d0280e7', 63)
;
INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
  VALUES(9, 4, 2066, 'b691179d-e7a4-4a27-b89b-f2263d0280e7', 63)
;
INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
  VALUES(10, 3, 2066, '4b3882d9-e886-4f08-9d0c-078ebda719b9', 63)
;
INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
  VALUES(11, 4, 2066, '4b3882d9-e886-4f08-9d0c-078ebda719b9', 63)
;
						
INSERT INTO LSW_PROJECT (PROJECT_ID, CREATED_BY_USER_ID, CREATED_ON,
  LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, DESCRIPTION,
  SHORT_NAME, IS_TOOLKIT, IS_BRANCHING_ENABLED, IS_HIDDEN)
  VALUES ('4b3882d9-e886-4f08-9d0c-078ebda719b9', 1,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'), 1,
  'Content Management',
  'IBM BPM Content Management Data, Services and Coach views.',
  'SYSCM', 'T', 'F', 'F')
;
INSERT INTO LSW_BRANCH(BRANCH_ID, CREATED_BY_USER_ID, CREATED_ON,
  LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, ACRONYM,
  DESCRIPTION, TIP_SNAPSHOT_ID, TIP_SEQ_NUM, PROJECT_ID, IS_DEFAULT)
  VALUES ('4961c615-3524-4196-90da-93c49d237009', 1,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'), 1,
  'Main', 'Main', 'The main branch of the SYSCM project',
  '29dbc7ff-aace-481a-ba72-be56c0180448', 256,
  '4b3882d9-e886-4f08-9d0c-078ebda719b9', 'T')
;
						
INSERT INTO LSW_PROJECT (PROJECT_ID, CREATED_BY_USER_ID, CREATED_ON,
  LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, DESCRIPTION,
  SHORT_NAME, IS_TOOLKIT, IS_BRANCHING_ENABLED, IS_HIDDEN)
  VALUES ('b691179d-e7a4-4a27-b89b-f2263d0280e7', 1,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  1, 'Coaches', 'IBM BPM System Coaches', 'SYSC', 'T', 'F', 'F')
;
INSERT INTO LSW_BRANCH(BRANCH_ID, CREATED_BY_USER_ID, CREATED_ON,
  LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, ACRONYM, DESCRIPTION,
  TIP_SNAPSHOT_ID, TIP_SEQ_NUM, PROJECT_ID, IS_DEFAULT)
  VALUES ('50f91713-f1c4-4859-897f-89720db5dc3e', 1,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  1, 'Main', 'Main', 'The main branch of the SYSC project',
  'b10f8fa8-75a6-47e4-899c-b5e876169c68', 256,
  'b691179d-e7a4-4a27-b89b-f2263d0280e7', 'T')
;
						
INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
  VALUES(6, '6', 'ECM Server')
;
						
		
/* END of phase ProcUpgradeTo800 */

	
    

		
/* START of phase ProcUpgradeTo801 */
    
			
ALTER  TABLE LSW_UCA 
ADD 
    "UCA_EVENT_TYPE_REF" DECIMAL(2,0)
;

ALTER  TABLE LSW_UCA 
ADD 
    "VARIABLE_REF" CHAR(36)
;

ALTER  TABLE LSW_UCA 
ADD 
    "IMPLEMENTATION_TYPE" VARCHAR(160)
;




CREATE TABLESPACE WLPZ6001
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_UCA_EVENT_TYPE (
    "UCA_EVENT_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPZ6001
;

CREATE LOB TABLESPACE WLPZ6002
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_UCA_EVENT_TYPE3_LOB
    IN @DB_NAME@.WLPZ6002
    STORES BPM_UCA_EVENT_TYPE COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_UCA_EVENT_TYPE3_I
    ON BPM_UCA_EVENT_TYPE3_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX LSWC_UCA_EVENT_TYPE_PK
    ON BPM_UCA_EVENT_TYPE
    ("UCA_EVENT_TYPE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_UCA_EVENT_TYPE
    ADD CONSTRAINT LSWC_UCA_EVENT_TYPE_PK
    PRIMARY KEY(
       "UCA_EVENT_TYPE_ID")

;

CREATE INDEX LSWC_UCA_EVENT_TYPE_PK4
    ON BPM_UCA_EVENT_TYPE("NAME")
    USING STOGROUP @STOGRP@

;

INSERT INTO BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
    VALUES(0, '0', 'Timer')
;
INSERT INTO BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
    VALUES(1, '1', 'Message')
;
INSERT INTO BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
    VALUES(2, '2', 'Content')
;
						
ALTER  TABLE LSW_MANAGED_ASSET 
ADD 
    "IS_DOCUMENTATION_FILE" CHAR(1)
        DEFAULT 'F' NOT NULL
;


INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
    VALUES(8, '8', 'Connections Server')
                        
;

ALTER  TABLE BPM_COACHNG_BOUNDARY_EVENT 
ADD 
    "IS_VALIDATE_BOUNDARY_EVENT" CHAR(1)
        DEFAULT 'F'
;

ALTER  TABLE BPM_COACHNG_BOUNDARY_EVENT 
ADD 
    "FIRE_VALIDATION" DECIMAL(1,0)
        DEFAULT 0
;



CREATE TABLESPACE WLPZ3902
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_GOVERNANCE_EVENT (
    "EVENT_TYPE_ID" CHAR(36) NOT NULL,
    "EVENT_TYPE" DECIMAL(8,0) NOT NULL,
    "EVENT_TYPE_NAME" VARCHAR(396) NOT NULL,
    "GOV_DEFAULT_SNAPSHOT_ID" CHAR(36) NOT NULL,
    "GOV_DEFAULT_PROCESS_ID" CHAR(36) NOT NULL,
    "GOV_DEFAULT_PROCESS_TYPE" DECIMAL(8,0) NOT NULL
)
IN @DB_NAME@.WLPZ3902
;

CREATE TABLESPACE WLPZ3901
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_GOVERNANCE_ASSIGNMENT (
    "ASSIGNMENT_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "EVENT_TYPE_ID" CHAR(36) NOT NULL,
    "GOV_SNAPSHOT_ID" CHAR(36) NOT NULL,
    "GOV_PROCESS_ID" CHAR(36) NOT NULL,
    "GOV_PROCESS_TYPE" DECIMAL(8,0) NOT NULL,
    "ACTIVE" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ3901
;


CREATE UNIQUE INDEX BPM_GOV_DEFAULTS_PK
    ON BPM_GOVERNANCE_EVENT
    ("EVENT_TYPE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_GOVERNANCE_EVENT
    ADD CONSTRAINT BPM_GOV_DEFAULTS_PK
    PRIMARY KEY(
       "EVENT_TYPE_ID")

;


CREATE UNIQUE INDEX BPM_GOVERNANCE_ASSIGNMENT_PK
    ON BPM_GOVERNANCE_ASSIGNMENT
    ("ASSIGNMENT_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_PK
    PRIMARY KEY(
       "ASSIGNMENT_ID")

;

ALTER TABLE BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_FK1
	FOREIGN KEY("PROJECT_ID")
	REFERENCES LSW_PROJECT("PROJECT_ID")
	ON DELETE CASCADE
;

INSERT INTO BPM_GOVERNANCE_EVENT(EVENT_TYPE_ID, EVENT_TYPE,
    EVENT_TYPE_NAME, GOV_DEFAULT_SNAPSHOT_ID, GOV_DEFAULT_PROCESS_ID,
    GOV_DEFAULT_PROCESS_TYPE)
	VALUES('dbecd816-afed-47b0-ba92-c13256fcb568',
	0, 'Installation Requested',
	'8b0bdb20-6dd1-4357-945a-4cdf0cbd020d',
	'b0d87b96-5044-4390-b0f5-4ba05d63bc28', 25)
;
INSERT INTO BPM_GOVERNANCE_EVENT(EVENT_TYPE_ID, EVENT_TYPE,
    EVENT_TYPE_NAME, GOV_DEFAULT_SNAPSHOT_ID, GOV_DEFAULT_PROCESS_ID,
    GOV_DEFAULT_PROCESS_TYPE)
	VALUES('dbecd816-afed-47b0-ba92-c13256fcb569', 1,
	'Snapshot Status Change', '8b0bdb20-6dd1-4357-945a-4cdf0cbd020d',
	'291536f1-aa21-4650-8ac9-c62eaa3fa110', 25)
;
						
DROP TABLE LSW_ORG_CHART
;

CREATE TABLESPACE WLPZ7501
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_EVENT_SUBSCRIPTION (
    "EVENT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
    "EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "SERVER_NAME" VARCHAR(512),
    "EVENT_CLASS" VARCHAR(512),
    "OBJECT_TYPE_ID" VARCHAR(512),
    "OBJECT_TYPE_ID_DISPLAY_NAME" VARCHAR(512),
    "EVENT_TYPE" VARCHAR(512),
    "INCLUDE_SUB_TYPE" CHAR(1)
        DEFAULT 'F',
    "PROCESS_REF" CHAR(36),
    "PARTICIPANT_REF" CHAR(36),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ7501
;

CREATE LOB TABLESPACE WLPZ7504
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_EVENT_SUBSCRIPTION12_LOB
    IN @DB_NAME@.WLPZ7504
    STORES BPM_EVENT_SUBSCRIPTION COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_EVENT_SUBSCRIPTION12_I
    ON BPM_EVENT_SUBSCRIPTION12_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE TABLESPACE WLPZ7502
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_EVENT_SUBSCRIPTION_TYPE (
    "EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPZ7502
;

CREATE LOB TABLESPACE WLPZ7503
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_EVENT_SUBSCRIPTION_TYPE3_LOB
    IN @DB_NAME@.WLPZ7503
    STORES BPM_EVENT_SUBSCRIPTION_TYPE COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_EVENT_SUBSCRIPTION_TYPE3_I
    ON BPM_EVENT_SUBSCRIPTION_TYPE3_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX BPM_EVENT_SUBSCRIPTION_PK
    ON BPM_EVENT_SUBSCRIPTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_EVENT_SUBSCRIPTION
    ADD CONSTRAINT BPM_EVENT_SUBSCRIPTION_PK
    PRIMARY KEY(
       "VERSION_ID")

;


CREATE UNIQUE INDEX LSWC_BPM_EVT_SUBN_TYPE_PK
    ON BPM_EVENT_SUBSCRIPTION_TYPE
    ("EVENT_SUBSCRIPTION_TYPE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE BPM_EVENT_SUBSCRIPTION_TYPE
    ADD CONSTRAINT LSWC_BPM_EVT_SUBN_TYPE_PK
    PRIMARY KEY(
       "EVENT_SUBSCRIPTION_TYPE_ID")

;

CREATE INDEX BPM_EVENT_SUBSCRIPTION_PK3
    ON BPM_EVENT_SUBSCRIPTION("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_EVENT_SUBSCRIPTION_PK4
    ON BPM_EVENT_SUBSCRIPTION("NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX BPM_EVENT_SUBSCRIPTION_IDX1 
    ON BPM_EVENT_SUBSCRIPTION(
    "EVENT_SUBSCRIPTION_TYPE_ID",
    "EVENT_TYPE",
    "OBJECT_TYPE_ID",
    "INCLUDE_SUB_TYPE")
    USING STOGROUP @STOGRP@

;

CREATE INDEX LSWC_BPM_EVT_SUBN_TYPE_PK4
    ON BPM_EVENT_SUBSCRIPTION_TYPE("NAME")
    USING STOGROUP @STOGRP@

;

INSERT INTO BPM_EVENT_SUBSCRIPTION_TYPE
  (EVENT_SUBSCRIPTION_TYPE_ID,NAME,DESCRIPTION)
  VALUES(0, '0', 'ECM');
						
CREATE TABLESPACE WLPZ7505
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_STAY_ON_PAGE (
    "STAY_ON_PAGE_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ7505
;


CREATE UNIQUE INDEX BPM_STAY_ON_PAGE_PK
    ON LSW_STAY_ON_PAGE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_STAY_ON_PAGE
    ADD CONSTRAINT BPM_STAY_ON_PAGE_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX BPM_STAY_ON_PAGE_PK3
    ON LSW_STAY_ON_PAGE("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE LSW_BPD 
ADD 
    "TEMPLATE_ID" CHAR(36)
;


ALTER  TABLE LSW_BPD_PARAMETER 
ADD 
    "IS_READ_ONLY" CHAR(1)
        DEFAULT 'F'
;


ALTER  TABLE BPM_COACH_VIEW 
ADD 
    "VALIDATE_JS_FUNCTION" CLOB(2G)
;

CREATE LOB TABLESPACE WLPZ901
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW20_LOB
    IN @DB_NAME@.WLPZ901
    STORES BPM_COACH_VIEW COLUMN VALIDATE_JS_FUNCTION
;
CREATE UNIQUE INDEX BPM_COACH_VIEW20_I
    ON BPM_COACH_VIEW20_LOB
    USING STOGROUP @STOGRP@
;
        

ALTER  TABLE LSW_FAVORITE 
ADD 
    "CACHED_EVENT_SUB_VERSION_ID" CHAR(36)
;

ALTER  TABLE LSW_FAVORITE 
ADD 
    "EVENT_SOURCE_ID" VARCHAR(256)
;



INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
    VALUES(12, 4, 2066, 'dbecd816-afed-47b0-ba92-c13256fcb566', 5)
;
						
ALTER  TABLE BPM_COACH_VIEW 
ADD 
    "USE_URL_BINDING" CHAR(1)
        DEFAULT 'F'
;


ALTER TABLE LSW_BLUEPRINT_SUBSCRIPTION ADD "LAST_MODIFIED"
TIMESTAMP NOT NULL WITH DEFAULT
;
						
ALTER  TABLE LSW_BLUEPRINT_SUBSCRIPTION 
ADD 
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0)
        DEFAULT 1 NOT NULL
;



ALTER  TABLE LSW_WEB_SERVICE 
ADD 
    "TARGET_NAMESPACE" VARCHAR(1024)
;


ALTER  TABLE LSW_WEB_SERVICE 
ADD 
    "TARGET_NAMESPACE_SCHEME" VARCHAR(128)
;


ALTER  TABLE LSW_SNAPSHOT 
ADD 
    "TIP_DEPLOYMENT_IN_PROGRESS" CHAR(1)
        DEFAULT 'F'
;


ALTER  TABLE BPM_TASK_INDEX_JOB 
ADD 
    "INDEX_LAST_PURGE_TIME" TIMESTAMP
;


ALTER  TABLE BPM_COACH_VIEW_CONFIG_OPTION 
ADD 
    "GROUP_NAME" VARCHAR(128)
;


							COMMIT
							;
INSERT INTO LSW_SNAPSHOT (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON,
   ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON,
   LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
   VALUES ('29dbc7ff-aace-481a-ba72-be56c0180448', 1,
   TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
   '29dbc7ff-aace-481a-ba72-be56c0180448',
   '4961c615-3524-4196-90da-93c49d237009',
   '4b3882d9-e886-4f08-9d0c-078ebda719b9', 256,
   TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
   TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'), 1)
;
						

CREATE INDEX BPM_SHARED_OBJECT_IDX1 
    ON BPM_SHARED_OBJECT(
    "TASK_ID")
    USING STOGROUP @STOGRP@

;

INSERT INTO LSW_SNAPSHOT (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON,
  ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON,
  LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
  VALUES ('e01d46a5-6dc9-4545-9940-7e843777321d', 1,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  'e01d46a5-6dc9-4545-9940-7e843777321d',
  '50f91713-f1c4-4859-897f-89720db5dc3e',
  'b691179d-e7a4-4a27-b89b-f2263d0280e7', 256,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'), 1)
;
UPDATE LSW_BRANCH SET
 TIP_SNAPSHOT_ID='e01d46a5-6dc9-4545-9940-7e843777321d'
  WHERE BRANCH_ID='50f91713-f1c4-4859-897f-89720db5dc3e'
;
						

CREATE INDEX IDX6_SNAPSHOT 
    ON LSW_SNAPSHOT(
    "BRANCH_ID",
    "IS_ARCHIVED",
    "CREATED_ON")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE BPM_TASK_INDEX 
ADD 
    "DELETED_DATETIME" TIMESTAMP
;

ALTER TABLE BPM_TASK_INDEX DROP CONSTRAINT BPM_TASK_INDEX_FK
                        
;


ALTER TABLE LSW_TASK ALTER COLUMN SHAREPOINT_DISCUSSION_URL
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_FAVORITE ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE LSW_SWITCH_CONDITION ALTER COLUMN CONDITION
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE BPM_COACH_VIEW_RESOURCE ALTER COLUMN IE_CONDITION
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE BPM_COACH_VIEW_RESOURCE ALTER COLUMN MEDIA_QUERY
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE BPM_COACH_VIEW_AMD_DEP ALTER COLUMN MODULE_ID
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE LSW_IC_INPUT_PROPERTY ALTER COLUMN KEY_VAL
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_IC_INPUT_PROPERTY ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE LSW_IC_INPUT_PROPERTY ALTER COLUMN CLASS_TYPE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_UCA_PARM ALTER COLUMN PARM_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_IC_OUTPUT_PROPERTY ALTER COLUMN KEY_VAL
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_IC_OUTPUT_PROPERTY ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE LSW_IC_OUTPUT_PROPERTY ALTER COLUMN CLASS_TYPE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_LAUNCHER ALTER COLUMN CMD
  SET DATA TYPE VARCHAR(2000); 
ALTER TABLE LSW_BREAKPOINT ALTER COLUMN CONDITION
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_REPORT_VARIABLES ALTER COLUMN VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_REPORT_DS_LAYOUT_LINK ALTER COLUMN DEFAULT_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_UCA_SYNC_QUEUE ALTER COLUMN DESCRIPTION
  SET DATA TYPE VARCHAR(900);
ALTER TABLE LSW_BPD_INSTANCE ALTER COLUMN INSTANCE_NAME
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_BPD_INSTANCE ALTER COLUMN SHAREPOINT_SITE_URL
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_EM_TASK ALTER COLUMN TASK_ARGUMENTS_STR
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_EM_TASK ALTER COLUMN REPEAT_STRING
 SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_PARTICIPANT ALTER COLUMN PARTICIPANT_DEFINITION
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_PARTICIPANT ALTER COLUMN IMAGE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_HOLIDAY_SCHEDULE ALTER COLUMN HOLIDAY_LIST
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_TIME_PERIOD ALTER COLUMN EFFECTIVE_DAYS
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_GRP_GRP_MEM_EXPLODED_XREF ALTER COLUMN MEM_PATH
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_USR_ATTR ALTER COLUMN ATTR_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_BPD_INSTANCE_DOCUMENTS ALTER COLUMN FILENAME
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_BPD_INSTANCE_DOC_PROPS ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_BPD_INSTANCE_DOC_PROPS ALTER COLUMN VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_INFOPATH_FORM ALTER COLUMN URL
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_BPD_DOCUMENTS ALTER COLUMN FILENAME
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_BPD_INSTANCE_VARIABLES ALTER COLUMN VARIABLE_NAME
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_BPD_INSTANCE_VARIABLES ALTER COLUMN ALIAS
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_BPD_INSTANCE_VARIABLES ALTER COLUMN STRING_VALUE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_DYNAMIC_GROUP_CONSTRAINT ALTER COLUMN VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_SERVER ALTER COLUMN PROVIDER_URL
  SET DATA TYPE VARCHAR(1000);
ALTER TABLE LSW_PROJECT_DEFAULTS ALTER COLUMN DEFAULT_JS_REFS
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_PO_DEPENDENCY ALTER COLUMN SOURCE_LOCATION
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE BPM_CONTRIBUTION ALTER COLUMN FILENAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE BPM_CTRB_PROPERTY ALTER COLUMN PROP_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE BPM_CTRB_DEPENDENCY ALTER COLUMN LIBRARY_NAME
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE BPM_ARTIFACT ALTER COLUMN FULL_PATH
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE BPM_SHARED_OBJECT_VALUE ALTER COLUMN FIELD_PATH
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE BPM_OSLC_PROVIDER ALTER COLUMN URL
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE BPM_TASK_ACTIVITY_MEASURES ALTER
  COLUMN CREATED_BY_BPD_FLOW_OBJECT_ID SET DATA TYPE VARCHAR(1024);
						

CREATE INDEX IDX10_LSW_TASK 
    ON LSW_TASK(
    "BPD_INSTANCE_ID",
    "STATUS")
    USING STOGROUP @STOGRP@

;

		
/* END of phase ProcUpgradeTo801 */

	